== Changelog ==

= 4.11.94 - 3/8/2026 =

- Tweak: Code refactored for better performance and loading speed.
- Fixed: False security warning reported by security plugins on the AI Abilities dashboard tab.

= 4.11.93 - 31/7/2026 =

- Fixed: PHP error in Woo Products Listing widget after v4.11.92.

= 4.11.92 - 31/7/2026 =

- Tweak: Improved Premium Templates loading by loading templates classes in the editor only for better performance.
- Tweak: Modified default shadow style for Analog skin in World Clock widget.
- Tweak: Code refactored for better performance and security.
- Fixed: Tooltip animation wiggle when the tooltip content is updated in Global Tooltips addon.

= 4.11.91 - 29/7/2026 =

- Fixed: AI Abilities OAuth connection not working on sites using Redis object cache.

= 4.11.90 - 29/7/2026 =

- New: Added OAuth connection method for AI Abilities to make connecting AI clients easier and more secure.
- Tweak: Added Animated Gradient option for custom menu items in Mega Menu widget.
- Tweak: Added Preload and Poster options in Video Box widget.
- Tweak: Improved Display Conditions loading by loading condition files on demand for better performance.
- Tweak: Improved admin notices code for better performance.
- Tweak: Added demo page and documentation links in AI Abilities dashboard tab.
- Tweak: Removed Shadow Position option from Text Shadow control in Heading widget.
- Fixed: Autoplay on Viewport conflict with Elementor Sticky effect in Video Box widget.
- Fixed: AI abilities catalog saved as an autoloaded option affecting performance.
- Fixed: Dashboard assets not being cached.
- Fixed: Tooltip text alignment in Global Tooltips addon.

= 4.11.89 - 25/7/2026 =

- Tweak: Improved AI abilities to guide AI models to fetch the design guide for more consistent designs.

= 4.11.88 - 23/7/2026 =

- Tweak: Improved the AI abilities to improve the quality of designs built by AI.
- Tweak: Added new AI abilities to export/import Elementor sections and pages between different sites, list and upload images to media.
- Tweak: Added new AI abilities to get information about active theme and its style variation to build more consistent designs.
- Tweak: MCP Configuration and AI Abilities dashboard tabs merged into one for a better UX.
- Tweak: Show MCP Connection status for a better UX.
- Fixed: Hover background outline with Grow effect in Button widget.
- Fixed: Text Shadow not working in Heading widget when gradient background is enabled.

= 4.11.87 - 19/7/2026 =

- Tweak: Added new AI abilities to apply/customize all addons in the plugin (wrapper link, floating effects, tooltips, etc.), creating an Elementor template, duplicating a page/post, changing a post status, removing an Elementor element and more.
- Tweak: Improved AI Abilities loading to prevent loading abilities files on the dashboard.
- Tweak: Improved AI Abilities and MCP Configuration dashboard pages.
- Tweak: Added Skip & Deactivate button in the plugin deactivation form.
- Tweak: Show play icon by default in Advanced Carousel widget.
- Fixed: Slider conflict with JetEngine Slider.
- Fixed: Empty links appearing in post rendering widgets (Blog, AJAX Search, Recent Posts Notifications).

= 4.11.86 - 12/7/2026 =

- Tweak: Added AI abilities to add Elementor Container/Flexbox element, insert an Elementor widget to a page, post or template, get Elementor page structure and more.

= 4.11.85 - 6/7/2026 =

- New: Added AI Abilities integration using the WordPress Abilities API - requires WordPress v7.0 or higher.
- Fixed: On Side skin not displayed as column on mobile extra breakpoints in Blog widget.

= 4.11.84 - 29/6/2026 =

- Fixed: Improved code security enforcement in widgets have Mask effect.
- Fixed: Object Fit option not visible unless Minimum Height is set on desktop in Banner widget.

= 4.11.83 - 28/6/2026 =

- Tweak: Added blur/highlight text effect option in Search Form widget.
- Tweak: Added Navigation Arrows Custom Vertical Position option in Search Form widget.
- Tweak: Search now applies on the entire page when CSS Selector is not set in Search Form widget.
- Tweak: Added Vertical Alignment and Tooltip Position options in Pricing Table widget.
- Tweak: Improved Map ID control placement in Maps widget.
- Tweak: Global addons code refactored for better performance and security.
- Fixed: IP Location Display Condition not working.
- Fixed: Google Maps not working when Get User Location is enabled.
- Fixed: Custom SVGs containing image and clip-path tags not rendered.
- Fixed: Animated SVG line height not working in Modal Box widget.
- Fixed: Feature list icon size decreasing in small spaces in Pricing Table widget.
- Fixed: Minimal Mask effect overriding focused word styling in Heading widget.
- Fixed: Glitch effect not working correctly on focused word in Heading widget.
- Fixed: Improved code security enforcement in Global Tooltips.
- Deprecated: Filter By Post Rule option in Search Form widget.

= 4.11.82 - 11/6/2026 =

- Tweak: Global addons code refactored for better performance and security.

= 4.11.81 - 10/6/2026 =

- Tweak: Removed unused file.

= 4.11.80 - 10/6/2026 =

- Tweak: Added Meta Position option in Blog widget.
- Tweak: Code refactored for better performance and security.
- Fixed: Generated dynamic assets not being cached.

= 4.11.79 - 4/6/2026 =

- Tweak: Added Max Value option in Progress Bar widget to allow values above 100.
- Tweak: Added Icon option in Banner widget.
- Tweak: Added Loop Times option in Lottie Animations widget.
- Tweak: Added File Source for Lottie Animation icon in Progress Bar widget.
- Tweak: Image Caption option now always available when source is set to Image Gallery in Carousel widget.
- Fixed: Lottie Animations not working when Loop is disabled and Reverse is enabled.

= 4.11.78 - 25/5/2026 =

- Tweak: Add option to show Image Caption in Carousel widget when source is set to Image Gallery.
- Tweak: News Ticker improved on RTL sites.

= 4.11.77 - 14/5/2026 =

- Tweak: Code refactored for better performance and security.
- Fixed: Metro layout not working in Media Grid with Elementor extra breakpoints feature.
- Fixed: Carousel widget navigation options not working correctly.

= 4.11.76 - 10/5/2026 =

- Tweak: Code refactored for better performance and security.
- Fixed: PHP warnings and fatal errors in plugin core.

= 4.11.75 - 26/4/2026 =

- Tweak: Added option to autoplay video in active slide in Advanced Carousel widget.
- Tweak: Added Description option in Heading and Dual Heading widgets.
- Tweak: Code refactored for better performance and security.
- Fixed: Load More button not working correctly in TikTok Feed widget.

= 4.11.74 - 16/4/2026 =

- Tweak: Remove deprecated Vimeo API in Video Box widget.
- Tweak: Core improved for security.
- Fixed: Badge not showing correctly in Bullet List widget.
- Fixed: Active menu item border radius not applied with Background Grow animation in Mega Menu widget.

= 4.11.73 - 8/4/2026 =

- Fixed: Pinterest Feed widget not working correctly.

= 4.11.72 - 1/4/2026 =

- Fixed: Premium Templates not working in v4.11.71.

= 4.11.71 - 31/3/2026 =

- Tweak: Added Masonry Layout in Testimonials widget.
- Tweak: Improved Hover Effects for buttons in all widgets.
- Fixed: Border Radius not applied correctly on images when Thumbnail Slider enabled in Carousel widget.
- Fixed: Security issue in widgets that contain SVG Code control.
- Fixed: Button not working in Banner widget when Effect 5 is selected.
- Fixed: Scrolling to containers not working in Mobile Menu widget.

= 4.11.70 - 11/3/2026 =

- Tweak: Core improved for better performance and loading speed.
- Tweak: Added Price Display option in Pricing Table widget.
- Tweak: Added Fade Color option for Layout #4 in News Ticker widget.
- Tweak: Compatibility between Media Grid and Elementor Tabs widget.
- Tweak: Woo Mini Cart widget code refactored.
- Tweak: Removed duplicated IDs given to SVGs on the same page.
- Fixed: Style #8 not working correctly in Heading widget.
- Fixed: Effects not working in Textual Showcase widget.
- Fixed: Hover Lottie Animation option not showing in Textual Showcase widget.
- Fixed: Posts built with Elementor shows as plain text in Premium Blog widget.
- Fixed: Menu Position option not working on responsive in Mobile Menu widget.
- Fixed: Icon Separator Color option not working in Woo Mini Cart widget.
- Fixed: Thumbnail Slider not working in Carousel widget when Border is applied on active slide only.

= 4.11.69 - 12/2/2026 =

- Fixed: Dual Heading not working correctly after v4.11.68.

= 4.11.68 - 12/2/2026 =

- Tweak: Multiple core improvements for faster editor and frontend loading speed.
- Tweak: Improved Premium Templates styling in Elementor Dark Mode.
- Fixed: Images in Advanced Carousel are not showing after widget is dropped into the preview area.

= 4.11.67 - 3/2/2026 =

- Fixed: Layouts broken after v4.11.66 when Modal Box is used on page.

= 4.11.66 - 2/2/2026 =

- Tweak: Added Thumbnail Slider option in Carousel widget.
- Tweak: Added Container ID option in Advanced Carousel and Modal Box widgets to get slides from containers on the same page for better usability.
- Tweak: Added Slides to Scroll option for carousel in Testimonials widget.
- Tweak: Added Entrance Animation option in Textual Showcase widget.
- Tweak: Added Toggle Menu Height control in Mega Menu widget.
- Fixed: Overflow issue on small screens in Video Box widget.
- Fixed: TikTok Feed widget not working due to video size limits.

= 4.11.65 - 21/1/2026 =

- Tweak: Added Glow Effect option for Play Icon in Video Box widget.

= 4.11.64 - 14/1/2026 =

- Tweak: Added Container ID option in Carousel widget to get slides from containers on the same page for better usability.
- Tweak: Added Play on Hover option for Lottie Animation icons in Button and Image Button widgets.
- Fixed: Carousel layout not working for Skins 7 & 11 in Woo Products Listing widget.
- Fixed: Equal Height addon not applied on window resize.
- Fixed: Security issue in plugin settings dashboard page.

= 4.11.63 - 5/1/2026 =

- Tweak: Added Marquee effect to Blog and Woo Products Listing widgets.
- Tweak: Added Overflow Slides option for Carousel in Blog and Woo Products Listing widgets.
- Tweak: Added Custom Position option for Navigation arrows in Blog and Woo Products Listing widgets.
- Fixed: PHP Warning in Woo Products Listing widget.

= 4.11.62 - 29/12/2025 =

- New: Added option to play Floating Effects addon animations on Hover.
- Fixed: Woo Mini Cart is opened on page load.

= 4.11.61 - 23/12/2025 =

- Fixed: AJAX Search widget not working.

= 4.11.60 - 22/12/2025 =

- New: Added Links to add links to Gallery images in Carousel widget.
- New: Added Equal Height option for Gallery images in Carousel widget.
- Tweak: Compatibility between Media Grid widget and lazyload images plugins.
- Fixed: Lightbox loading icon is not centered.

= 4.11.59 - 21/12/2025 =

- New: Added Focused Word option in Title widget.
- New: Added 6 hover effects in Title widget.
- Tweak: Controls organized in Title widget for better UX.
- Fixed: Console error in SVG Draw widget.

= 4.11.58 - 17/12/2025 =

- Tweak: Core improvements for faster dashboard, editor and frontend loading speed.

= 4.11.57 - 16/12/2025 =

- Fixed: Styling broken for widgets depending on Elementor templates when Elements Cache is enabled.
- Fixed: Image icons are stretched in Bullet List widget.

= 4.11.56 - 14/12/2025 =

- New: Show banner to disable unused widgets for faster editor loading speed.
- Tweak: Added responsive control to Zoom control in Google Maps widget.
- Fixed: Console error warning when dynamic asset is enabled.

= 4.11.55 - 10/12/2025 =

- New: Now, you can send feedback or feature requests from widgets settings -> Help & Docs tab.

= 4.11.54 - 10/12/2025 =

- Tweak: Core improved for better performance and loading speed.
- Tweak: Dynamic Assets Generate optimized for faster loading speed.
- Tweak: Banner widget code refactored for better performance.
- Tweak: Added Open on Cart Update option in Woo Mini Cart widget.
- Tweak: Image Button hover transition improved.
- Tweak: Security Enhancement.
- Fixed: PHP warning in Weather Forecast widget.
- Fixed: Free Shipping conflict with multi shipping zones in Woo Mini Cart widget.
- Fixed: Conflicts between dynamic assets and caching plugins.

= 4.11.53 - 30/11/2025 =

- Fixed: Admin notice can't be dismissed.

= 4.11.52 - 30/11/2025 =

- Fixed: Products Per Page not working with Main Query in Woo Products Listing widget.
- Fixed: Fatal error with evergreen option in Countdown widget.

= 4.11.51 - 27/11/2025 =

- Tweak: Core improved for better performance and loading speed.
- Tweak: Added file size limits for TikTok videos download to improve security.

= 4.11.50 - 25/11/2025 =

- Tweak: Core improved for better performance and loading speed.
- Fixed: Woo Mini Cart widget blocks widgets click on editor page.

= 4.11.49 - 23/11/2025 =

- Tweak: Core improved for better performance and loading speed.
- Tweak: Added Open Mini Cart on Check option in Woo Mini Cart widget.

= 4.11.48 - 20/11/2025 =

- Tweak: Added Spacing option for slides in Carousel widget.
- Fixed: Speed option not working for Half Circle layout in Progress Bar widget.

= 4.11.47 - 18/11/2025 =

- Tweak: Added Spacing option for rating stars in Testimonials widget.
- Fixed: Liquid Glass conflicts with Dynamic Links widget.
- Fixed: PHP warning in Google Maps widget when marker image alt text is not set.
- Fixed: Quick View string is not translated in Woo Products Listing widget.

= 4.11.46 - 03/11/2025 =

- Tweak: Added CSS Selector in Woo Mini Cart to open mini cart using any element on the page.
- Tweak: Added Transition Duration/Delay controls in Woo Mini Cart widget.
- Fixed: Product not added to cart when stock number is not specified in Woo Mini Cart widget.
- Fixed: PHP warning when Title is disabled in Pricing Table widget.
- Fixed: Console error when Animated Shape Divider addon is enabled on editor.
- Fixed: Gap issue around Image Button widget.

= 4.11.45 - 28/10/2025 =

- New: Added Discount Reveal Effect for price in Pricing Table widget.
- New: Added Allow Backorders option in Woo Mini Cart widget.
- Tweak: Improved Tags Cloud and Countdown widgets for better performance.
- Tweak: Improved Templates Live Editor to be able to edit any select template.
- Fixed: Product image is not showing in correct height in Woo Products Listing widget Quick View popup.
- Fixed: Layout #2 issue in Get Videos from Channel/Playlist option in Video Box widget.

= 4.11.44 - 20/10/2025 =

- Tweak: Added Close Delay option in Woo Mini Cart widget.
- Tweak: Improved styling for Demo/Templates buttons on the editor for better UI.

= 4.11.43 - 16/10/2025 =

- Tweak: Added transition for hover background in Image Button widget.
- Tweak: Added background image option for digits in Countdown widget.
- Tweak: Added Icon Background control for icons in Bullet List widget.

= 4.11.42 - 13/10/2025 =

- Fixed: Security issue in TikTok Feed widget handler.
- Fixed: Page Publish button not detecting Premium Templates insert.

= 4.11.41 - 05/10/2025 =

- New: Added Order controls in Pricing Table to allow content reordering.
- Tweak: Improve Button and Image Buttons widget performance by removing duplicate Icon Spacing control.
- Tweak: Added Media Info option for videos in Advanced Carousel widget.
- Fixed: Link not working in Animated Text widget.

= 4.11.40 - 28/09/2025 =

- New: Gallery option in Carousel widget to create image carousel much easier.
- Tweak: Code improvements for better performance.
- Fixed: SVG Draw not working when draw option is disabled.
- Fixed: Link not working in Animated Text widget.

= 4.11.39  - 24/09/2025 =

- Tweak: Load JS libraries only when needed for Contact Form, Dual Heading, Lottie Animation, Media Grid, News Ticker, Mega Menu and SVG Draw widgets.
- Fixed: Close Icon not showing in Recent Posts Notification widget.
- Fixed: Bullet List alignment issue.

= 4.11.38 - 22/09/2025 =

- New: Load JS libraries only when needed to improve loading speed.
- Fixed: Returning Visitor Display Condition not working correctly.
- Fixed: View Cart string not being translated in Woo Mini Products Listing widget.

= 4.11.37 - 17/09/2025 =

- New: Added Slide Bullet and Translate Bullet effects in Bullet List widget.
- Tweak: Added Sort By select in Premium Templates.
- Tweak: Improved compatibility between Bullet List, Weather Forecast and WPML translation plugin.
- Fixed: Accessibility issue in Advanced Carousel widget.
- Fixed: Gradient Effect not working in Bullet List widget.

= 4.11.36 - 15/09/2025 =

- Tweak: Improved compatibility between Dynamic Assets feature and LiteSpeed caching plugin.
- Tweak: Compatibility with Elementor v3.32.

= 4.11.35 - 11/09/2025 =

- Tweak: Code improvements in Tooltips addon, Advanced Carousel and Textual Showcase widgets for better performance and faster loading speed.
- Tweak: Make arrows in Carousel widget accessible via keyboard.
- Fixed: Thin Circle navigation dot icon not working in Carousel widget.

= 4.11.34 - 08/09/2025 =

- Tweak: Code improvements in all widgets for better performance and faster loading speed.

= 4.11.33 - 08/09/2025 =

- Tweak: Code improvements in Dynamic Assets feature for better performance and faster loading speed.
- Tweak: Loading speed improvements in Video Box and News Ticker widgets.

= 4.11.32 - 03/09/2025 =

- Tweak: Code improvements in Animated Shape Divider addon for better performance and faster loading speed.

= 4.11.31 - 02/09/2025 =

- Tweak: Added CSS ID option in Mobile Menu widget.
- Tweak: Improved RTL compatibility of Woo Mini Cart widget.

= 4.11.30 - 26/08/2025 =

- Tweak: Code improvements for better performance.

= 4.11.29 - 19/08/2025 =

- Tweak: Improved RTL compatibility of Woo Products, Woo Categories, Blog widgets.
- Tweak: Improved compatibility between Woo CTA and WPML translation plugin.

= 4.11.28 - 14/08/2025 =

- Tweak: Improved compatibility between News Ticker and WPML translation plugin.
- Fixed: Carousel widget not showing templates in some cases.
- Fixed: Info window for Google Maps widget marker not positioned correctly on Chrome.

= 4.11.27 - 07/08/2025 =

- Tweak: Improved RTL compatibility of Recent Posts Notification, News Ticker and Image Scroll widgets.
- Fixed: Appearance option not working on touch devices in Carousel widget.

= 4.11.26  - 06/08/2025 =

- Tweak: Compatibility with Elementor v3.31.
- Tweak: Styling improved for Pre-made Templates button.

= 4.11.25 - 05/08/2025 =

- Tweak: Added button to filter pre-made blocks by widget.
- Fixed: Mini Cart strings not showing in Loco translation plugin.

= 4.11.24 - 30/07/2025 =

- Tweak: Premium Templates performance improvements.
- Fixed: PHP warnings when image has not alt attribute in Media Grid widget.

= 4.11.23 - 29/07/2025 =

- Tweak: Equal Height in Woo Products widget.
- Tweak: Improved RTL compatibility of Weather Forecast widget.
- Tweak: Added Margin control for arrows in Carousel widget .
- Fixed: Carousel arrows conflict in Weather Forecast widget.
- Fixed: PHP warning when running setup wizard for first time.

= 4.11.22 - 24/07/2025 =

- Tweak: Improved RTL compatibility of World Clock widget.

= 4.11.21 - 21/07/2025 =

- Tweak: Dashboard pages loading speed improved by unloading unnecessary PHP files.

= 4.11.20 - 15/07/2025 =

- Tweak: Editor loading speed improved by removing some JS files.
- Tweak: Added two more shadow presets in Liquid Glass addon.

= 4.11.19 - 14/07/2025 =

- Tweak: Added Coupon Remove button in Mini Cart widget.
- Tweak: Added Tax Label option in Mini Cart widget.
- Tweak: Improved RTL compatibility in Tags Cloud widget.
- Tweak: Added option to search using Title or Description in AJAX Search widget.
- Fixed: Fatal error in Media Grid widget when `mb_` PHP extension is not installed.

= 4.11.18 - 09/07/2025 =

- Fixed: Google Maps markers not showing after v4.11.17
- Fixed: PHP warning when SVG Draw widget is used while Dynamic Assets feature is enabled.

= 4.11.17 - 03/07/2025 =

- Fixed: Display Conditions showing code after v4.11.16.

= 4.11.16 - 03/07/2025 =

- Tweak: Added "DC" icon when Display Condition is enabled.
- Tweak: Setup Wizard improved for better user experience.
- Fixed: Returning Visitor Display Condition causes unnecessary cookies to be stored.

= 4.11.15 - 24/06/2025 =

- Tweak: Improved compatibility with RTL sites.
- Tweak: Plugin size decreased by improving Dynamic CSS generating.
- Fixed: Effect #8 not working on RTL in Banner widget.
- Fixed: Style #3 not working on RTL in Team Members widget.
- Fixed: Horizontal Direction not working on RTL in Image Scroll widget.

= 4.11.14 - 18/06/2025 =

- New: Introducing Elementor Liquid Glass Addon - [here](https://premiumaddons.com/elementor-liquid-glass-addon/).
- Tweak: Added Arrows Position option for carousel arrows in Testimonials widget.
- Fixed: Free shipping progress bar not working on Chrome in Woo Mini Cart widget.

= 4.11.13 - 04/06/2025 =

- Tweak: Improved Countdown widget JS code.
- Tweak: Hide Google Maps until the API JS is loaded.

= 4.11.12 - 03/06/2025 =

- Tweak: Added Align Submenu to Top option in Mega Menu widget.
- Tweak: Markers Clustering controls improved in Google Maps widget.
- Fixed: Fatal error when plugin is installed before Elementor.

= 4.11.11 - 25/05/2025 =

- Fixed: Fatal error after v4.11.11.

= 4.11.10 - 25/05/2025 =

- Fixed: Icons issue in Mega Menu widget since v4.11.9.

= 4.11.9 - 02/06/2025 =

- Tweak: Added Slide Menu direction option in Mega Menu widget.
- Tweak: Submenu Trigger option in Mega Menu widget.
- Fixed: Error while saving Elementor templates after Elementor v3.29.
- Fixed: Icons from custom icons are not showing in some widgets.
- Fixed: Security issue in Coutdown widget.

= 4.11.8 - 17/05/2025 =

- Fixed: Fatal error with 'Page' display condition after v4.11.7.

= 4.11.7 - 15/05/2025 =

- Tweak: New layouts added to Woo Mini Cart widget.
- Tweak: Cross-sells carousel option added to Woo Mini Cart widget.
- Tweak: Added Language option for units in Countdown widget.
- Tweak: Added Profile Link option for member image/name in Team Members widget.
- Fixed: Layout broken in Woo Mini Cart widget in some cases.
- Fixed: Display conditions 'Page' doesn't detect the shop page ID.

= 4.11.6 - 30/04/2025 =

- Fixed: Prevent plugin rating banner from showing on each update.
- Fixed: Plugin causes slow dashboard loading in some cases.

= 4.11.5 - 24/04/2025 =

- Fixed: All global features are disabled when setup wizard is completed.
- Fixed: Pro global feature name is not showing in setup wizard.

= 4.11.4 - 23/04/2025 =

- New: Introducing Setup Wizard for easier plugin settings customization.
- Tweak: Compatibility between Woo Products widget and BeRocket filtering plugin.
- Fixed: Console error in Mobile Menu widget.
- Fixed: Layout broken with Style 7 in Heading widget.

= 4.11.3 - 16/04/2025 =

- Tweak: Added Fill Color Speed option in SVG Draw widget.
- Fixed: Fatal error in Pinterest Feed widget when Board ID option is empty.
- Fixed: HTML markup issue in Heading widget.
- Fixed: Tooltips addon not working when Position control value has spaces in it.

= 4.11.2 - 08/04/2025 =

- Tweak: Translate date based on site's current language in Pinterest and TikTok Feed widgets.

= 4.11.1 - 07/04/2025 =

- Tweak: Premium Blog HTML markup improved for better accessibility.
- Fixed: Templates not showing in Mega Menu when Hide Mobile Menu option is enabled.
- Fixed: Carousel arrows not showing in AJAX Search widget.

= 4.11.0 - 30/03/2025 =

- Tweak: Added Delay control in Lottie animation widget.
- Tweak: Vertical Scroll widget behavior on Elementor editor.
- Tweak: Removed `nofollow` link attribute for links in Google Maps widget markers.
- Tweak: Removed Frontpage option from Static Page in Display Conditions addon.
- Tweak: Action control changed to show when Query is set to Posts in AJAX Search widget.

= 4.10.90 - 25/03/2025 =

- Tweak: Compatibility with Google Maps AdvancedMarkers API in Google Maps widget.
- Tweak: Code improvements for better performance.
- Tweak: Added Maximum Height option for Quick View in Woo Products widget.
- Fixed: Elementor templates in Mega Menu widget can't be edited.
- Fixed: Stock message in Woo Mini Cart widget can't be translated.
- Fixed: Styling issue in Progress Bar widget on small screens.

= 4.10.89 - 17/03/2025 =

- Tweak: Code improvements for better performance.
- Fixed: Dynamic Assets Generate not working in some cases.

= 4.10.88 - 10/03/2025 =

- Tweak: Code improvements for better performance.
- Fixed: Image/Content Display option is not responsive in Woo Products Listing widget.
- Fixed: Fatal error caused by Dynamic Assets Generate.

= 4.10.87 - 27/02/2025 =

- Tweak: Added option to use SVG icons in Mega Menu widget.
- Tweak: Improved compatibility between Woo CTA button widget and Woocommerce Subscriptions plugin.
- Fixed: Some issues related to alignment in Global Tooltips addon.
- Fixed: Elementor Templates not working on editor in Global Tooltips addon.
- Fixed: Security issue in Lottie JavaScript file.

= 4.10.86 - 20/02/2025 =

- Tweak: Show message when PHP memory/time limit are low to improve usability.
- Fixed: Restart option in Countdown Timer widget not working correctly.

= 4.10.85 - 16/02/2025 =

- Tweak: Added notice in Mega Menu Settings popup for better UX and prevent conflicts.

= 4.10.84 - 16/02/2025 =

- Tweak: Added Show Parent Terms Only option in Tags Cloud.
- Tweak: Improved Tags Cloud to count posts in child terms.
- Fixed: Layout breaks in some cases when Dynamic Assets feature is enabled.

= 4.10.83 - 12/02/2025 =

- Tweak: Added option to control if mobile menu should be rendered in Mega Menu widget.
- Fixed: PHP warning in Woo CTA widget.
- Fixed: Floating Effects not updating correctly.
- Fixed: PHP warning when rendering SVG icons.

= 4.10.82 - 03/02/2025 =

- Tweak: Aspect Ratio option in Video Box widget.
- Tweak: Code formatting for better security.
- Fixed: Submenus overlapping issue in Mega Menu widget.

= 4.10.81 - 30/01/2025 =

- Fixed: Fatal error in Button widget after v4.10.80

= 4.10.80 - 29/01/2025 =

- Tweak: Core improved to run editor faster.
- Tweak: Added Dismissible option in Modal Box widget.
- Fixed: PHP warning in Timezone option in Display Conditions addon.
- Fixed: PHP warning in Heading widget.

= 4.10.79 - 22/01/2025 =

- Tweak: Load some CSS files only when needed to improve performance.
- Fixed: PHP warning in Location display condition.
- Fixed: Brokens CSS links showing in broken link checker.

= 4.10.78 - 15/01/2025 =

- Tweak: Removed unnecessary PHP files to minimize plugin size.
- Fixed: Navigation arrows not showing when lightbox is set to Elementor in Media Grid widget.

= 4.10.77 - 13/01/2025 =

- Tweak: Change active menu item on scroll in Mega Menu widget.
- Tweak: Show a notice when inserting a template fails.
- Tweak: Woo Products Listing widget improved on RTL sites.
- Fixed: Get videos from Playlist in Video Box widget not working with YouTube Reels.

= 4.10.76 - 06/01/2025 =

- Tweak: Added the ability to activate filters in Blog widget from other pages.
- Fixed: SVG Draw widget causes scroll to top on iOS devices.

= 4.10.75 - 31/12/2024 =

- Fixed: PHP warning in Shape Divider container addon.

= 4.10.74 - 30/12/2024 =

- Fixed: Wrapper Link global addon not working in some cases.
- Fixed: Issues in AJAX Search widget.

= 4.10.73 - 26/12/2024 =

- Tweak: Loading speed improved when Dynamic Assets feature is enabled.
- Fixed: Compatibility issues with WP-Optimize plugin.
- Fixed: Go to Search option not working in AJAX Search widget.
- Fixed: Carousel option not working in Team Members widget.

= 4.10.72 - 24/12/2024 =

- Tweak: Improved loading speed of widgets contain Draw Icon option.
- Fixed: Cross Domain Copy/Paste All Content not working.

= 4.10.71 - 22/12/2024 =

- Fixed: Elementor Transform effects not working for some widgets.
- Fixed: Controls for global controls not being added in correct tabs.

= 4.10.70 - 19/12/2024 =

- Tweak: Improved compatibility with Optimize Markup Elementor feature.
- Tweak: SVG Draw Icon option improved for better loading speed.
- Fixed: Premium Templates button not showing when adding a new container.
- Fixed: PHP warnings in Animated Text widget.
- Fixed: Security issue in Mobile Menu widget.

= 4.10.69 - 15/12/2024 =

- Tweak: SVG Draw Icon option improved in some widgets.

= 4.10.68 - 12/12/2024 =

- Tweak: Added Usage Type option in plugin's dashboard settings page.
- Tweak: Added VW size unit for some controls.
- Fixed: Lightbox icon is showing even when option is disabled in Advanced Carousel widget.
- Fixed: Issues in Dynamic Assets.

= 4.10.67 - 11/12/2024 =

- Tweak: Premium Templates loading speed improved.

= 4.10.66 - 03/12/2024 =

- Tweak: Added options to control Author Image size, border and border radius in Blog widget.
- Tweak: Added Wave Effect in Dual Heading widget.
- Tweak: Added On Page Exit Intent trigger in Modal Box widget.

= 4.10.65 - 25/11/2024 =

- Tweak: Added Full Width Custom CSS Selector option in Mega Menu widget.
- Fixed: Alignment issue in animation #7 in Banner widget.

= 4.10.64 - 24/11/2024 =

- Tweak: Improved Reveal effect in Animated Text widget.
- Fixed: Wrapper Link feature not working with anchor links.
- Fixed: PHP Warning due to white labeling options.
- Fixed: Huge spacing after animation end in vertical direction in Advanced Carousel widget.

= 4.10.63 - 13/11/2024 =

- Tweak: Added List Padding control in Bullet List widget.
- Tweak: Added option to load boards dynamically in Pinterest Feed widget.
- Fixed: Premium Templates not being inserted in correct position.
- Fixed: Console JS error showing on the editor page.
- Fixed: Alignment option not working correctly on responsive devices in Bullet List widget.

= 4.10.62 - 30/10/2024 =

- Tweak: Load JS code for Wrapper Link only when its used on page.
- Fixed: Icon Size not working on SVG code icon in News Ticker widget.
- Fixed: Admin notices appear again after they are dismissed.

= 4.10.61 - 27/10/2024 =

- Tweak: Premium Templates loading speed improved.
- Tweak: Added Item Name option in Advanced Carousel widget.
- Fixed: ACF fields are not showing in Display Conditions.
- Fixed: Typing effect not working in Animated Text widget when used multiple times on page.
- Fixed: Media Grid widget shows the first image only in the lightbox.

= 4.10.60 - 22/10/2024 =

- Fixed: PHP warning in Recent Posts Notification widget.

= 4.10.59 - 17/10/2024 =

- Fixed: PHP warning Undefined variable $search.

= 4.10.58 - 17/10/2024 =

- Tweak: Added Text Content Position in News Ticker widget.
- Fixed: Conflict between Global Tooltips addon and Premium Image Hotspots widget.
- Fixed: Blog widget not working correctly after 4.10.57.

= 4.10.57 - 15/10/2024 =

- Deprecated: Enable Full Section Scroll on Touch Devices control in Vertical Scroll widget.
- Tweak: Global addons code refactored to minimize mmemory usage.
- Tweak: Animated Shape Divider addon code refactored to improve editor loading speed.
- Tweak: Premium Templates code refactored to improve site's frontend loading speed.
- Fixed: Security issue in Display Conditions addon and Mega Menu widget.
- Fixed: View and Empty Cart translation issue in Woo Mini Cart widget.
- Fixed: Vertical Scroll widget causing scroll issues on touch devices.
- Fixed: Media Grid lightbox always show the first image since v4.10.55.
- Fixed: TikTok Feed widget throws PHP warning.

= 4.10.56 - 09/10/2024 =

- Tweak: Dashboard settings tab loading speed improved.
- Tweak: Improve layout rendering in Mini Cart widget for better loading speed.
- Fixed: Compatibility issues with WPML translation plugin.

= 4.10.55 - 01/10/2024 =

- Fixed: Issues with Slide-in WooCommerce cart and Mini Cart layout after v4.10.54.

= 4.10.54 - 30/09/2024 =

- Tweak: Plugin performance and loading speed improved.
- Fixed: WooCommerce mini-cart template broken after v4.10.53.

= 4.10.53 - 26/09/2024 =

- New: Added WooCommerce Mini Cart widget - [here](https://premiumaddons.com/elementor-woocommerce-mini-cart-widget/).
- Tweak: Compatibility with Elementor Elements Caching feature.
- Tweak: Added "Load Animation on Page Load/Scroll" for Animated Text widget.
- Fixed: Carousel arrows not showing in Mobile Menu widget.
- Fixed: Layout break when Load More Products button clicked in Woo Products Listing widget.

= 4.10.52 - 24/09/2024 =

- Tweak: Added Highlighted Text Color control in AJAX Search widget.
- Tweak: Remove any unwanted generated files after plugin deactivation.
- Fixed: Links not working in Mobile Menu widget.
- Fixed: Skin #4 not working on RTL sites in Testimonials widget.
- Fixed: Social icons not showing in Team Members widget.

= 4.10.51 - 12/09/2024 =

- Tweak: Added Play Inline option in Video Box widget.
- Tweak: Added Cluster Icon size control in Google Maps widget.
- Fixed: Conflict in Dynamic Assets Generate feature.
- Fixed: Items links not working in Advanced Carousel widget.

= 4.10.50 - 04/09/2024 =

- Tweak: Added control to apply Excerpt Length option on posts with defined excerpt.
- Fixed: PHP warning for Display condition in Display Conditions feature.
- Fixed: Conflict between Stretch Section option and Carousel widget.
- Fixed: Layout broken in some cases with Dynamic Assets feature.
- Fixed: PHP warning in Global Tooltip addon.

= 4.10.49 - 27/08/2024 =

- Tweak: Added option to control typography, border and background for quantity field in Woo CTA widget.
- Tweak: Added option to automatically redirect to cart page after product is added to cart in Woo CTA widget.
- Tweak: Handle errors when inserting a template including a disabled element.

= 4.10.48 - 26/08/2024 =

- Fixed: Dynamic Assets feature conflicts with caching and security plugins.
- Fixed: PHP warning when Text Icon is not set in News Ticker widget.

= 4.10.47 - 26/08/2024 =

- Fixed: Active Menu Item style not working for custom menus in Mega Menu widget.

= 4.10.46 - 22/08/2024 =

- Tweak: Improved comatibility between Mobile Menu widget and one-page websites.
- Fixed: Dynamic Assets not working correctly with some caching plugins.

= 4.10.45 - 22/08/2024 =

- New: Added WooCommerce CTA widget - [here](https://premiumaddons.com/elementor-woocommerce-cta-widget/).
- Fixed: PHP warnings in Counter widget when Elementor Optimized Control Loading feature is enabled.
- Fixed: Reverse Animation not working on RTL sites in Advanced Carousel widget.

= 4.10.44 - 16/08/2024 =

- Tweak: Deactivation form HTML improved.

= 4.10.43 - 15/08/2024 =

- Fixed: PHP warnings on plugin activation due to Dynamic Assets Generate feature.

= 4.10.42 - 15/08/2024 =

- Fixed: Security issue in Animated Text widget.

= 4.10.41 - 14/08/2024 =

- Tweak: Added feedback form on plugin deactivation.

= 4.10.40 - 13/08/2024 =

- New: Quick View in Woo Products Listing widget now fully customizable - [here](https://premiumaddons.com/elementor-woocommerce-products/).
- Fixed: Transition Speed and Slides Spacing options not working in Mobile Menu widget.

= 4.10.39 - 06/08/2024 =

- Fixed: Lottie animations not working correctly after v4.10.38
- Fixed: Stroke color not working correctly in Mobile Menu widget.
- Fixed: Images not showing in Advanced Carousel widget.
- Fixed: Some links not working in plugin settings page.

= 4.10.38 - 23/07/2024 =

- New: Added WooCommerce Categories Listing widget - [here](https://premiumaddons.com/elementor-woocommerce-categories-widget/).
- Tweak: Added Language option in World Clock widget.
- Tweak: Use IntersectionObserver API instead of waypoints.js to improve performance.

= 4.10.37 - 18/07/2024 =

- Tweak: Images in Banner, Media Grid, Image Scroll, Image Separator and Advanced Carousel are now translatable using WPML.
- Tweak: Code refactored for better performance and security.

= 4.10.36 - 02/07/2024 =

- Tweak: Added Trigger Z-Index option in Modal Box widget.
- Tweak: Code refactored for better performance and security.

= 4.10.35 - 24/06/2024 =

- New: Fancy Text widget rebuilt. It's now Animated Text - [here](https://premiumaddons.com/elementor-animated-text-widget).
- Tweak: Recent Posts Notification, Textual Showcase, Search Form and Mobile Menu are now translatable using WPML.
- Fixed: Wrapper Link addon not working with non-ASCII encoded URLs.
- Fixed: Conflict between carousel widgets and JetEngine plugin.

= 4.10.34 - 11/06/2024 =

- Tweak: Code refactored for better performance and security.
- Tweak: Improved compatibility between WooCommerce Category display condition and YITH plugin.
- Fixed: TikTok Feed widget not showing videos.
- Fixed: Conflict between Modal Box and Elementor masonry layout.
- Fixed: PHP warning in Recent Posts Notification widget.

= 4.10.33 - 22/05/2024 =

- Fixed: Fancy Text widget causes fatal error after v4.10.32

= 4.10.32 - 21/05/2024 =

- New: Added Mobile Menu widget - [here](https://premiumaddons.com/elementor-mobile-menu-widget/).
- Tweak: 'Feels Like' value rounded in Weather Forecast widget.
- Tweak: Code refactored for better performance and security.
- Tweak: Slow queries removed to improve plugin performance.
- Fixed: Layout broken in Blog widget.
- Fixed: Mega Menu widget causes high INP value on touch devices.

= 4.10.31 - 27/04/2024 =

- Tweak: Code refactored for better performance and security.
- Fixed: Layout broken after v4.10.29.

= 4.10.30 - 23/04/2024 =

- Fixed: PHP error after v4.10.29.

= 4.10.29 - 23/04/2024 =

- New: Added AJAX Search widget - [here](https://premiumaddons.com/elementor-ajax-search-widget/).
- Tweak: Added button to refresh Custom Mouse Cursor addon settings in dashboard settings page.
- Tweak: Added language option for Flip skin in Countdown Timer widget.
- Tweak: Custom grid CSS improved in Smart Post Listing widget.
- Tweak: Added option to select HTML tag for Title in Textual Showcase widget.
- Tweak: Get timezone API changed to improve Display Conditions.
- Fixed: Slides overlapping issue in Advanced Carousel widget.

= 4.10.28 - 08/04/2024 =

- Tweak: Code refactored for better performance and security.
- Fixed: Layout broken with Dynamic Assets Generate feature after v4.10.27

= 4.10.27 - 04/04/2024 =

- Fixed: Unnecessary files loaded on website's dashboard.
- Fixed: Layout broken in some cases when Dynamic Assets Generate feature is enabled.
- Fixed: Enable SVG Draw option hidden when Hide Plugin Row Meta Links white-labeling option enabled.

= 4.10.26 - 31/03/2024 =

- Tweak: Prevent main CSS file from being loaded on pages when premium widgets are not used to improve pages loading speed.
- Fixed: Copy N' Paste feature not working.
- Fixed: Time-based display conditions not working correctly in some cases.
- Fixed: Is WooCommerce Product Purchased Display Condition not working correctly.
- Fixed: Infinite effect in Advanced Carousel widget not working in some cases.

= 4.10.25 - 20/03/2024 =

- Tweak: Countdown widget rebuilt - [here](https://premiumaddons.com/elementor-countdown-widget-2/).
- Tweak: Added option to trigger Equal Height addon on page load or scroll.
- Tweak: Code refactored for better performance and security.

= 4.10.24 - 14/03/2024 =

- Tweak: Code refactored for better performance and security.
- Tweak: Improved Infinite effect in Advanced Media Carousal widget.
- Fixed: Returning Visitor display condition not working correctly.

= 4.10.22 - 27/02/2024 =

- Fixed: Elementor widgets not showing after Elementor v3.19.3.
- Fixed: Hover effects reversed in Advanced Carousal widget.

= 4.10.21 - 20/02/2024 =

- Tweak: Rotation options added to first/second heading separately in Dual Heading widget.
- Fixed: Vimeo videos not working in Video Box widget.

= 4.10.20 - 15/02/2024 =

- Fixed: PHP Warning after last version.
- Fixed: Hourly Forecast Data not showing from the current date in Weather Forecast widget.

= 4.10.19 - 14/02/2024 =

- Tweak: Code refactored for better performance and security.
- Fixed: Vimeo videos not working in some cases in Video Box widget.
- Fixed: Global Tooltips not working in Elementor loop.
- Fixed: On Side skin not working on responsive devices in Blog widget.

= 4.10.18 - 23/01/2024 =

- New: Added new hover effects to all the buttons all over the plugin - [here](https://premiumaddons.com/elementor-button-widget/).
- Fixed: Hourly Forecast option not working with layout #1 in Weahter widget.
- Fixed: Floating Effects addon not working with nested flexbox containers.
- Fixed: Conflict with Global Tooltips addon causing Elementor editor not to work.

= 4.10.17 - 17/01/2024 =

- Tweak: Code refactored for better performance and security.

= 4.10.16 - 20/12/2023 =

- New: Added Textual Showcase widget - [here](https://premiumaddons.com/elementor-textual-showcase-widget/).
- Tweak: Added Post Category condition in [Display Conditions addon](https://premiumaddons.com/elementor-display-conditions/).
- Fixed: Compatibility issues between Maps widget and Elementor Flexbox.
- Fixed: Fatal error caused by Weather widget.

= 4.10.15 - 20/11/2023 =

- New: Added Wrapper Link addon - [here](https://premiumaddons.com/docs/elementor-global-wrapper-link-addon-tutorial).
- Tweak: Added option to Trigger Animation on Click in Lottie Animations widget.
- Fixed: Gap after slides issue with Infinite animation in Advanced Media Carousel widget.
- Fixed: Lightbox Styling options not working in Media Grid widget.

= 4.10.14 - 26/10/2023 =

- Fixed: Slow issues in Animated Shape Divider addon.

= 4.10.13 - 26/10/2023 =

- Fixed: PHP warning since v4.10.12

= 4.10.12 - 25/10/2023 =

- New: Added Animated Shape Divier addon - [here](https://premiumaddons.com/elementor-animated-shape-divider-addon/).
- Tweak: Testimonials widget rebuilt - [here](https://premiumaddons.com/testimonials-widget-for-elementor-page-builder/).
- Tweak: Added option to control header/footer separator color in Modal Box widget.
- Fixed: Fatal error with Woo Category Display Condition.

= 4.10.11 - 27/09/2023 =

- Fixed: Fatal error when Contact Form 7 widget is existing on the page.

= 4.10.10 - 26/09/2023 =

- Tweak: Advanced Media Carousel widget performance optimized.
- Tweak: Added Styling controls for posts box in Recent Posts Notification widget.
- Fixed: Header Overlap with Scroll After Pagination/Filter Tabs in Blog widget.
- Fixed: Pinterest Boards not shown in Query tab.
- Fixed: PHP v8.0 warning in Media Carousel widget.

= 4.10.9 - 21/09/2023 =

- Tweak: Advanced Media Carousel JS code improved.
- Fixed: Fatal error because of Carousel widget with newer versions of PHP.

= 4.10.8 - 20/09/2023 =

- New: Added Advanced Media Carousel widget - [here](https://premiumaddons.com/elementor-advanced-carousel-widget/).
- Tweak: Added 6 Form Presets and 5 Effects in Contact Form 7 Styler widget - [here](https://premiumaddons.com/contact-form-7-widget-for-elementor-page-builder/).

= 4.10.7 - 28/08/2023 =

- Tweak: Added Masonry Layout in Woo Products Listing widget.
- Tweak: Added Element on Page option in Mega Menu to show elements on the page in the Mega Menu.

= 4.10.6 - 23/08/2023 =

- Tweak: Position option changed to Text control instead of Select in Global Tooltips addon.
- Fixed: Elementor templates option not working on editor in Global Tooltips addon.

= 4.10.5 - 22/08/2023 =

- New: Added TikTok Feed widget - [here](https://premiumaddons.com/elementor-tiktok-feed-widget).
- New: Added Tooltip Global addon - [here](https://premiumaddons.com/elementor-global-tooltip-addon).

= 4.10.4 - 11/08/2023 =

- Tweak: Added Noise Effect in Dual Heading and Heading widgets.
- Fixed: Elementor Editor not loading in some cases.
- Fixed: Media Grid widget not working in Elementor popups.

= 4.10.3 - 23/07/2023 =

- Fixed: Border Radius not applied on profile picture in Pinterest Feed widget.

= 4.10.2 - 20/07/2023 =

- New: Added Pinterest Feed widget - [here](https://premiumaddons.com/elementor-pinterest-feed-widget).

= 4.10.1 - 27/06/2023 =

- Tweak: Added Post Format condition in [Display Conditions addon](https://premiumaddons.com/elementor-display-conditions/).
- Tweak: Added a new layout for Youtube playlist/channel option in Video Box widget.

= 4.10.0 - 22/06/2023 =

- New: Added News Ticker widget - [here](https://premiumaddons.com/elementor-news-ticker-widget).
- New: Added Weather widget - [here](https://premiumaddons.com/elementor-weather-widget/).
- New: Added World Clock widget - [here](https://premiumaddons.com/elementor-world-clock-widget/).
- New: Added Tags Cloud widget - [here](https://premiumaddons.com/elementor-tags-cloud-widget/).
- New: Added Recent Posts Notification widget - [here](https://premiumaddons.com/elementor-recent-posts-notification-widget).
- Tweak: You can now use elements to navigate to previous/next slide in Carousel widget.

= 4.9.57 - 22/05/2023 =

- Fixed: Elementor templates responsive styling issues when used in elements from Premium Addons.
- Fixed: PA Duplicator not duplicating styling.
- Fixed: Lightbox not working when play icon is clicked in Video Box widget.
- Fixed: Link text missing in Bullet List widget.

= 4.9.56 - 18/05/2023 =

- Tweak: CSS files loading improved.
- Fixed: PHP warning: post_title is undefined in Media Grid widget.

= 4.9.55 - 04/05/2023 =

- Fixed: Mega Menu widget conflict with Elementor Sticky option.

= 4.9.54 - 27/04/2023 =

- Fixed: Mega Menu widget loading issues.
- Fixed: SVG Draw widget not working inside Horizontal Scroll widget.
- Fixed: Page jumps to top issue on mobile devices with SVG Draw widget.

= 4.9.53 - 03/04/2023 =

- Tweak: Links HTML markup improved for better SEO in Blog widget.
- Fixed: PHP warning: get_page_by_title() is deprecated.

= 4.9.52 - 23/03/2023 =

- Tweak: Added Search Field in Premium Templates popup.
- Tweak: Improved compatibility between Vertical Scroll and Google Maps widget.
- Fixed: Mega Menu not showing when WP Rocket is installed.

= 4.9.51 - 06/03/2023 =

- Tweak: Added custom size unit for range controls in some widgets.
- Fixed: Submenu Minimum Width option improved in Mega Menu widget.

= 4.9.50 - 28/02/2023 =

- Fixed: Full Section Scroll option not working with Elementor Flexbox Containers.
- Fixed: Console error in Google Maps widget.

= 4.9.49 - 20/02/2023 =

- New: Added full pages templates in Premium Templates for Elementor - [here](https://premiumaddons.com/premium-elementor-templates-library/).
- Tweak: Added Content Alignment option in Testimonials.
- Tweak: Apply Aspect Ratio using CSS in Video Box widget.
- Tweak: Apply Submenu Item Icon option in Mega Menu widget.
- Fixed: Dual Heading strings not appearing in WPML.
- Fixed: Filter tabs not working on RTL sites in Blog widget.
- Fixed: PHP warning showing in General tab in plugin settings page.

= 4.9.48 - 01/02/2023 =

- Tweak: Added Close Menu After Click option in Mega Menu widget.
- Tweak: Added load Google Maps on Scroll option for better performance.
- Tweak: Google Maps widget options rearranged for better UX.
- Tweak: Added responsive controls for Center Padding option in Carousel widget.
- Fixed: Background Image option in Video Box widget not working on RTL sites.
- Fixed: Custom link attributes not working for some widgets.
- Fixed: Switchers not showing in Mega Menu window.
- Fixed: WPML compatibility issues.

= 4.9.47 - 24/01/2023 =

- New: Added Advanced Marker option in Google Maps widget - [here](https://premiumaddons.com/google-maps-widget-for-elementor-page-builder/).
- Tweak: Added styling options for marker info container in Google Maps widget.
- Tweak: Use Time Range display condition to show/hide content before/after specific time.
- Tweak: Render images` Alt attribute in Woocommerce Products Listing widget.
- Tweak: CSS files size minimized for better performance.
- Fixed: Fatal error when WPML is active on a multisite network level, but deactivated on a site level.

= 4.9.46 - 03/01/2023 =

- Fixed: Copy/Paste Element buttons not showing on Elementor editor.
- Fixed: Icon Color and Stroke Color not applied on SVG icons when SVG Draw option is disabled in Bullet List widget.
- Fixed: Clipped Background effect in Heading widget not working with older macOS versions.

= 4.9.45 - 28/12/2022 =

- Tweak: Added option to show/hide download button for self-hosted videos in Media Grid widget.
- Tweak: Added option to align icon to bottom in Heading widget.
- Fixed: PHP Warning `Constant FILTER_SANITIZE_STRING is deprecated` with PHP v8.1

= 4.9.44 =

- Fixed: Mega Menu widget not working since v4.9.43

= 4.9.43 - 12/12/2022 =

- Tweak: Added VH unit for Height option in Modal Box widget.
- Fixed: Console errors in Mega Menu widget.

= 4.9.42 - 08/12/2022 =

- Tweak: Mega Menu widget performance improved.
- Fixed: CSS class not properly added in Bullet List widget.
- Fixed: Mega Menu widget compatibility issue with Flex Container element.

= 4.9.41 - 06/12/2022 =

- Tweak: Added Transition Speed option for carousel in Blog widget.
- Tweak: Bullet List widget HTML markup improved for better SEO optimization.
- Tweak: Added alternative method to detect location in Display Conditions feature.
- Fixed: Image is clicked twice to navigate to the post's page on iOS in Blog widget.

= 4.9.40 - 29/11/2022 =

- Fixed: Videos in Modal Box widget still playing after the modal box is closed.
- Fixed: Google page insights error with Mega Menu widget.
- Fixed: Modal Box widget not working properly with Elementor Loop Builder.

= 4.9.39 - 28/11/2022 =

- Fixed: Duplicated products are showing when Main Query is selected in Woo Products Listing widget.
- Fixed: Premium Templates are not inserted in the proper position in the page.
- Fixed: Vertical Offset not working for Flag Ribbon in Pricing Table widget.

= 4.9.38 - 18/11/2022 =

- Tweak: Added Object Fit option for self-hosted videos in Video Box widget.
- Tweak: Device Condition option improved in Display Condition addon.
- Fixed: Youtube videos not working in Video Box widget.
- Fixed: Compatibility issues with PHP v8.0


= 4.9.37 - 08/11/2022 =

- Tweak: Added option to open submenu items by click in Mega Menu widget.
- Tweak: Added VH unit for Height option in Maps widget.
- Fixed: Grid Items are not focusable if lightbox option is disabled in Media Gallery widget.
- Fixed: Submenu content disappears issue in Mega Menu widget.
- Fixed: Icon Colors not applied properly on SVG icons.

= 4.9.36 - 20/10/2022 =

- Tweak: Added five new effects for badges in Mega Menu widget.
- Tweak: Added Pointer Thickness option in Mega Menu widget.
- Fixed: Menu items content disappear issue in Mega Menu widget.
- Fixed: Link attributes not working in Bullet List widget.

= 4.9.35 - 10/10/2022 =

- Tweak: Added option to Disable Page Scroll if Slide menu is opened in Mega Menu widget.
- Tweak: Added Reset on Mouse Leave option in Lottie Animation widget.
- Tweak: Post Title Hover Color now works when the post box is hovered in Blog widget.
- Tweak: Filter Tabs option performance improved in Blog widget.
- Fixed: Console errors showing while on the editor page.
- Fixed: Filter tabs in Blog widget not translated using WPML.

= 4.9.34 - 19/09/2022 =

- New: Added Background Image option in Videobox widget - [here](https://premiumaddons.com/elementor-video-box-widget/).
- Tweak: Added "aria-hidden" attribute to icons in Blog widget.
- Fixed: Custom icons converted to SVGs causing them not to appear.

= 4.9.33 - 12/09/2022 =

- Tweak: Added Advanced Border Radius option in Video Box widget.
- Tweak: Global Features tab layout improved for better UX.
- Tweak: Code refactored for better performance and security.
- Fixed: Images not having the same height in "On Side" skin in Blog widget.
- Fixed: Icon styling applied on Lottie Animations in Image Separator widget.

= 4.9.32 - 08/09/2022 =

- Tweak: Code refactored for better performance and security.
- Fixed: Image icon option not working in Progress Bar widget.
- Fixed: Editor update button not working in some cases due to an issue with Display Conditions addon.
- Fixed: Comatibility issues with WPML and Media Gallery widget.
- Fixed: Compatibility issues with Thrive Architect theme.

= 4.9.31 - 01/09/2022 =

- Tweak: Added Full Width option in Mega Menu widget.
- Fixed: Icon styling applied on Lottie Animations in Button and Image Button widgets.
- Fixed: Icon Color applied on all the elements inside an SVG icon in Button and Image Button widgets.

= 4.9.30 - 28/08/2022 =

- Tweak: Added Flag Ribbon position control in Pricing Table widget.
- Fixed: Default icons in Heading widget changed to star after v4.9.26.
- Fixed: Check Content Overflow option not working with Section IDs option in Vertical Scroll widget.

= 4.9.29 - 22/08/2022 =

- New: Added Cross-sells and Up-sells options to Query option in Woo Products Listing widget.
- Tweak: Added Place Title Above Image option in Woo Products Listing widget.
- Fixed: Add to Cart button adds variable products to cart directly in Woo Products Listing widget.
- Fixed: Editor not working when Display Conditions is used on page.

= 4.9.28 - 21/08/2022 =

- Tweak: Notification dismiss functions improved to force notification to never show again.
- Fixed: Block size button not working on frontend when Hello Elementor theme is active.

= 4.9.27 - 18/08/2022 =

- Tweak: Added Grow Layer Speed and Grow Effect Speed options for Grow Hover Effect in Button and Image Button widgets.
- Fixed: Icons in Pricing Table and Bullet List widgets always dissappear if Draw SVG option is disabled.

= 4.9.26 - 17/08/2022 =

- New: Added Premium SVG Draw widget - [here](https://premiumaddons.com/elementor-svg-draw-widget/).
- New: Added Draw Icon option in all widgets that has Icon option in them.

= 4.9.25 - 15/08/2022 =

- Fixed: Copy/Paste element styling not working after Elementor v3.7.1.

= 4.9.24 - 11/08/2022 =

- Fixed: Comatibility issues with Elementor v3.7.0.
- Fixed: Copy/Paste element styling not working after Elementor v3.7.0.
- Fixed: Returning Visitor Display Condition causing issues with AJAX requests.
- Fixed: ACF Text Display Condition not comparing empty values.
- Fixed: Widgets` styling broken when Dynamic Assets Generate option is enabled on password-protected websites.

= 4.9.23 - 01/08/2022 =

- Tweak: Added `Search by Name` input field in plugin settings tab.
- Tweak: Code refactored for better performance.
- Fixed: Mega Menu content editor appears below the menu item settings in Mega Menu widget.

= 4.9.22 - 19/07/2022 =

- Tweak: Added Website Static Pages (Homepage, Frontpage, Blog Page, or 404 page) option in Display Conditions.
- Tweak: Improve compatibility between WPML and Blog widget.
- Fixed: Play icon not showing in Video Box widget if Load Font Awesome 4 option is disabled.
- Fixed: Images not properly showing in Media Gallery widget when Load More button option enabled and First Category Filter option disabled.
- Fixed: Custom link attributes not working in Media Gallery widget.

= 4.9.21 - 06/07/2022 =

- Tweak: Added Returning Visitor option in Display Conditions - [here](https://premiumaddons.com/elementor-display-conditions/).
- Tweak: Size option improved in Lottie Animation widget.
- Tweak: Improved Time Range Display Condition to get the current timezone properly.
- Tweak: Get the absolute value of product sale using [sale] keyword in WooCommerce Products Listing widget.
- Fixed: Load More button not working for Skin #10 in WooCommerce Products Listing widget.
- Fixed: ACF Text not detecting empty value in Display Conditions addon.
- Fixed: Countdown widget not properly on Safari browser.

= 4.9.20 - 23/06/2022 =

- Fixed: Fatal error with old versions of PHP.

= 4.9.19 - 22/06/2022 =

- Fixed: Mega Menu widget sticky menu not scrolling on mobile screen.

= 4.9.18 - 22/06/2022 =

- New: Added Sticky and Collapsed menu layouts in Mega Menu widget - [here](https://premiumaddons.com/elementor-mega-menu-widget/).
- Tweak: Mega Menu widget options rearranged for better editing experience.
- Tweak: Added Restart Video on Scroll Up option for Self Hosted videos in Video Box widget.
- Fixed: Color controls in Mega Menu widget not applied on SVG icons.
- Fixed: Font Awesome icons not showing in icon picker option in Mega Menu widget.
- Fixed: Mega Menu content showing before the page is loaded.
- Fixed: Slide/Dropdown menu conflict with Elementor’s Page Transition Experiment.
- Fixed: Open in New Tab and nofollow link attributes not applied in Lottie Animations widget.
- Fixed: Lightbox and Link icons overlapping other content on page in Media Gallery widget.
- Fixed: Progress Bar Circle option not working when the progress value is below 50%.
- Fixed: Products Load More button removed from all WooCommerce Products Listing widgets on the page.

= 4.9.17 - 06/06/2022 =

- Tweak: IP Location Display Condition improved.
- Tweak: All elements icons in the editor changed.
- Fixed: Close Button color option not applied on SVG icons in Mega Menu widget.

= 4.9.16 - 01/06/2022 =

- Tweak: Change between layouts on browser window resize in Mega Mega widget.
- Fixed: Select Options button not working properly in WooCommerce Products Listing widget.
- Fixed: Mega Menu widget issues on RTL sites.
- Fixed: Align Content to widget center not working properly in Mega Menu widget.
- Fixed: Carousel continues to slide even if Infinite option switcher is disabled.

= 4.9.15 - 30/05/2022 =

- New: Added Cube, Parallax, and Zoomed Parallax transition effects in Vertical Scroll widget - [here](https://premiumaddons.com/vertical-scroll-widget-for-elementor-page-builder/).
- Fixed: Mega Menu automatically closes when a link is clicked in sub menus.
- Fixed: Floating Effects addon not working with Flex Container element.
- Fixed: PHP Fatal error in Dynamic Assets Generate feature.

= 4.9.14 - 11/05/2022 =

- New: Added Half Circle layout in Progress Bar widget - [here](https://premiumaddons.com/progress-bar-widget-for-elementor-page-builder/).
- Tweak: Improved Load More button behavior in WooCommerce Products Listing widget - [here](https://premiumaddons.com/elementor-woocommerce-products/).
- Tweak: Added option for Custom Menus to align mega content to the widget center in Mega Menu widget.
- Fixed: PHP warning in WooCommerce Products Listing widget.
- Fixed: Link attributes are duplicated with Custom Menu in Mega Menu widget.
- Fixed: Placeholder images are inserted in Media Library in Copy N' Paste feature.
- Fixed: Copy/Paste all content in Copy N' Paste feature not working.

= 4.9.13 - 08/05/2022 =

- Fixed: Error in Mega Menu widget when Custom Menu is selected.

= 4.9.12 - 06/05/2022 =

- Fixed: WooCommerce Products Listing carousel option not working since v4.9.11

= 4.9.11 - 05/05/2022 =

- Tweak: Added Load More button and Product Description Length options in WooCommerce Products Listing widget.
- Fixed: Mega Menu automatically closes when a link is clicked.

= 4.9.10 - 27/04/2022 =

- Tweak: Close all the opened items when a new item is clicked in Mega Menu widget.
- Tweak: Custom Breakpoint option added in Mega Menu widget.
- Fixed: Change Close Button Icon option added in Mega Menu widget.
- Tweak: Set dropdown menu width to full width option added in Mega Menu widget.
- Fixed: Toggle Button Position option applied on the content in Mega Menu widget.
- Fixed: Equal Height and Carousel options conflict in Premium Team Members widget.

= 4.9.9 - 22/04/2022 =

- Tweak: Added WPML compatibility for Nav/Mega Menu widget.

= 4.9.8 - 21/04/2022 =

- Fixed: Fatal PHP error with Premium Nav Menu widget.

= 4.9.7 - 21/04/2022 =

- New: Added Premium Navigation/Mega Menu widget - [here](https://premiumaddons.com/elementor-mega-menu-widget).

= 4.9.6 - 14/04/2022 =

- Tweak: Load Lottie Animations when visible on viewport to improve performance and page loading speed.
- Tweak: Added Privacy Mode option for YouTube videos in Media Gallery widget.
- Fixed: PHP warning when Image option is not set in Media Gallery widget.

= 4.9.5 - 07/04/2022 =

- Tweak: Added Disable Floating Effects on Safari option in widgets that have floating effects.
- Tweak: Trigger Floating Effects addon when element is visible on viewport to improve page loading speed.
- Tweak: Removed unnecessary CSS classes from Modal Box widget.
- Tweak: Compatibility between PA Cross-Domain Copy N’ Paste feature and Flex Container element - [here](https://elementor.com/help/container-element/).
- Fixed: CSS classes are rendered multiple times in Blog widget.
- Fixed: Long text causes image icon to get squished in Bullet List widget.

= 4.9.4 - 29/03/2022 =

- Tweak: Added `PA Assets` in admin toolbar to clear generated dynamic assets.
- Tweak: Disable Floating Effects on Safari option added in Floating Effects global addon.
- Tweak: Compatibility between Counter and Horizontal Scroll widgets.
- Tweak: Carousel widget HTML markup optimized for better performance.
- Fixed: Exclude Posts option not working for custom post types in Blog widget.

= 4.9.3 - 23/03/2022 =

- Tweak: Added button to Clear Generated Assets in dashboard plugin settings -> Widgets & Addons tab.
- Tweak: Banner widget behavior improved on touch devices.
- Fixed: Compatibility issues with Elementor v3.6.0.

= 4.9.2 - 20/03/2022 =

- Tweak: Progress Bar and Team Members widgets HTML markup optimized for better performance.
- Fixed: Featured Image option not working in Blog widget after v4.9.1.

= 4.9.1 - 17/03/2022 =

- New: Added Create/Edit Live Templates feature in all widgets that support Elementor Templates - [here](https://premiumaddons.com/elementor-templates-live-editor/).
- Tweak: Added Dailymotion and Lightbox options in Videobox widget - [here](https://premiumaddons.com/elementor-video-box-widget/).
- Tweak: Media Gallery and Blog widgets HTML markup optimized for better performance.
- Fixed: Carousel widget navigation arrows/dots not working on RTL websites.
- Fixed: Quickview Popup content is not showing properly for variable products in WooCommerce Products Listing widget.

= 4.9.0 - 09/03/2022 =

- New: Added Generate Dynamic Assets feature in Widgets & Addons plugin settings tab to improve loading speed and performance.
- Tweak: Added `preload` attribute for self-hosted videos in Media Gallery widget to improve page loading speed.
- Tweak: Added Image Fit option for products thumbnails in WooCommerce Products Listing widget.
- Tweak: Added Content Overflow option in Modal Box widget.
- Fixed: Fatal error when IP Location Display Condition is used when Social Reviews widgets are disabled.

= 4.8.11 - 06/03/2022 =

Tweak: JS code optimized for security improvements.

= 4.8.10 - 28/02/2022 =

- Tweak: Show WooCommerce placeholder image if the current product has no thumbnail in WooCommerce Products Listing widget.
- Fixed: Enable Beta Tester option is not working.

= 4.8.9 - 23/02/2022 =

- Tweak: Added Product Image Height option in WooCommerce Products Listing widget.
- Tweak: HTML markup optimized for some widgets for better performance.

= 4.8.8 - 16/02/2022 =

- Tweak: HTML markup optimized for Banner, Pricing Table, and Lottie Animation widgets for better performance.
- Tweak: Added Variable Width and Linear Easing options in Carousel widget.
- Tweak: JS Code refactored for better performance and security.
- Tweak: Fixed compatibility issue between ACF Display Condition and PHP 8.

= 4.8.7 - 14/02/2022 =

- Tweak: Added option to insert Premium Templates without media files (images, videos, etc.) to prevent overloading website's Media Library.
- Tweak: Responsive styling improved for Quick View Modal in WooCommerce Products Listing widget.
- Tweak: Make sure View Cart string is translated to the current langugage in WooCommerce Products Listing widget.
- Tweak: Added Scotland and Wales countries for IP Location Display Condition.
- Fixed: Inserting Premium Templates sometimes causes placeholder image to be inserted multiple times into the media library.
- Fixed: Close sticky video causes the original video to play in Videobox Widget

= 4.8.6 - 09/02/2022 =

- Tweak: Compatibility between Display Conditions, Equal Height features and Flex Container element - [here](https://elementor.com/help/container-element/).
- Tweak: Compatibility between 'alt' text for images in Media Gallery widget and WPML translation plugin.
- Tweak: Added Text Align option for Background Text in Dual Heading widget.

= 4.8.5 - 03/02/2022 =

- Tweak: Added responsive controls for Width option in Modal Box widget.
- Tweak: Load widgets JS dependencies only when required to improve performance.
- Tweak: Custom Mouse Cursor addon switcher moved to Global Features tab.
- Tweak: HTML markup optimized for Button, Image Button, Dual Heading, and Modal Box widgets for better performance.
- Fixed: Prevent creating additional unnecessary containers in Carousel widget.
- Fixed: Products slashed price style overriden by WooCommerce styling in Woo Products Listing.

= 4.8.4 - 25/01/2022 =

- Tweak: Added Time Range option in Display Conditions global feature.
- Fixed: Value alignment option not working in Counter widget.
- Fixed: Floating Effects feature not working on editor when used inside widgets using templates (carousel, tabs, etc.).

= 4.8.3 - 17/01/2022 =

- Tweak: Added Image Size option in Woo Products Listing widget.
- Tweak: Make sure Elementor Usage Data Sharing option is enabled before showing elements usage.
- Tweak: URL Parameter display condition not working with special characters.
- Tweak: Actions added in Woo Products Listing widget to give the ability to insert custom content.

= 4.8.2 - 11/01/2022 =

- Tweak: URL Parameter display condition improved to check parameter key only.
- Tweak: PHP Code refactored for better performance and security.

= 4.8.1 - 08/01/2022 =

- Tweak: PHP Code refactored for better performance and security.

= 4.8.0 - 04/01/2022 =

- Tweak: Cache time changed to Day instead of Hour in Video Box widget to prevent exceeding Google API quota in Video Box widget.
- Fixed: PHP warning with Evergreen option in Countdown widget.
- Fixed: Value Alignment option not working in Counter widget.
- Fixed: Console errors in Equal Height and Floating Effects addons.

= 4.7.9 - 28/12/2021 =

- Tweak: Added Description option in Counter widget.
- Tweak: Code improved to decrease the number of Database calls in Blog widget.

= 4.7.8 - 27/12/2021 =

- Tweak: Quick View button position improved for Skin 3 in WooCommerce Products Listing widget.
- Fixed: Product stars rating color overridden by theme style in WooCommerce Products Listing widget.
- Fixed: Content Alignment option not applied on product stars rating in WooCommerce Products Listing widget.
- Fixed: Reverse Buttons option not working for Style 3 in WooCommerce Products Listing widget.
- Fixed: PHP warning when Evergreen option is enabled in Countdown widget.

= 4.7.7 - 20/12/2021 =

- Tweak: Premium Templates improved for faster templates loading.
- Tweak: Redirect to the same page after duplicate a page/post using PA Duplicator.
- Fixed: Carousel arrows position overridden by some themes.
- Fixed: Floating Effects addon not working with Elementor Popups.
- Fixed: Vertical Scroll widget behavior when Full Section Scroll option is enabled on touch devices.

= 4.7.6 - 15/12/2021 =

- Fixed: Compatibility issues with Elementor v3.5.0.
- Fixed: Post title and tags alignment issue with Carousel option on RTL sites in Blog widget.

= 4.7.5 - 13/12/2021 =

- Tweak: Added option to check the Current Category Page for WooCommerce in Display Conditions feature.
- Tweak: Added Bullet Alignment option for Before/After bullet position in Bullet List widget.
- Fixed: WooCommerce default styling is applied on Premium Woo Products Listing widget.
- Fixed: Javascript files for Floating Effects addon loaded all time.
- Fixed: Fatal error when Current Product display conditions are used in pages with no current product.

= 4.7.4 - 09/12/2021 =

- Tweak: Added option to check categories of purchased items for WooCommerce in Display Conditions feature.
- Fixed: Floating Effects addon not working with Elementor Popups.
- Fixed: Unwanted outline applied on carousel navigation dots on Chrome browser in Carousel widget.
- Fixed: Videos keeps playing after the popup is closed in Modal Box widget.
- Fixed: Styling not added after using PA Duplicator.

= 4.7.3 - 06/12/2021 =

- Tweak: Added WooCommerce Total Amount In Cart and Current Product Stock options in Display Conditions feature.
- Tweak: Added Custom Height option for multiple members in Team Members option.
- Fixed: Compare value is printed while using Display Conditions feature.
- Fixed: Metadata separator is not removed when more posts are loaded in Blog widget.

= 4.7.2 - 02/12/2021 =

- Tweak: Added styling options for slashed price in WooCommerce Products Listing widget.
- Fixed: Next and Previous pagination links not working properly in WooCommerce Products Listing widget.
- Fixed: Display Conditions not working properly when condition is set to MacOS.

= 4.7.1 - 25/11/2021 =

- Fixed: Compatibility issues with PHP v8.0

= 4.7.0 - 21/11/2021 =

- New: Added Premium WooCommerce Products Listing widget - [here](https://premiumaddons.com/elementor-woocommerce-products/).
- New: Added Content Display Condition global feature - [here](https://premiumaddons.com/elementor-display-conditions/).
- New: Added Floating global feature - [here](https://premiumaddons.com/elementor-floating-effects/).
- Fixed: Background color is not applied properly on small screens in Dual Heading widget.

= 4.6.1 - 11/11/2021 =

- Tweak: Added 1 Column option to Number of Columns control in Blog widget.
- Tweak: Added Border Radius option for member image in Team Members widget.
- Fixed: Premium Templates not working on local servers.
- Fixed: Equal Height option not working when multiple Blog widgets are added in the same page.

= 4.6.0 - 03/11/2021 =

- Tweak: Width control option range values changed in Modal Box widget.
- Tweak: Added compatibility with dynamic content in Bullet List widget.
- Tweak: Added Hover Shadow option for Submit button in Contact Form 7 widget.
- Fixed: Multiple slides swipe issue in Vertical Scroll widget.
- Fixed: Premium Contact Form 7 widget loaded even if Contact Form 7 plugin not installed.
- Fixed: Prettyphoto lightbox width issue in some browsers in Media Gallery widget.

= 4.5.9 - 26/10/2021 =

- Fixed: Admin notices not dismissible.
- Fixed: PHP warnings related to "Disable Unused Widgets" button.

= 4.5.8 - 21/10/2021 =

- Tweak: Added Disable Unused Widgets button in Premium Addons dashoard tab.
- Tweak: Added Normal/Clipped Background option in Heading widget.
- Fixed: Console error thrown after Modal Box is closed.

= 4.5.7 - 05/10/2021 =

- Fixed: Self hosted videos still playing after Modal Box is closed.
- Fixed: Alignment option only showing for Button type trigger in Modal Box widget.

= 4.5.6 - 04/10/2021 =

- Tweak: Default styling imporved for Button, Image Button and Modal Box widgets.
- Fixed: Scroll animations are not triggered in Progress Bar, Heading and Dual Heading widgets.
- Fixed: Close marker info container when another marker is clicked not working on touch devices in Google Maps widget.
- Fixed: Image size issue on small devices when PrettyPhoto lightbox is selected in Media Gallery widget.
- Fixed: Sticky video not working in some cases in Video Box widget.
- Fixed: Scroll jittering issues in Vertical Scroll widget on Chrome browser.

= 4.5.5 - 27/09/2021 =

- Tweak: Bullet List widget HTML markup improved.
- Tweak: Compatibility with Elementor v3.4.4.
- Fixed: Load posts on scroll option in Blog widget not working when page contains hidden blog widgets.
- Fixed: console error when Grid option is disabled in Blog widget.
- Fixed: Page HTML markup issues with post excerpt includes HTML tags in Blog widget.
- Fixed: Icon color option not working in some cases for SVG icons in all widgets.
- Fixed: Lightbox and Link icons has no transition in Media Gallery widget.
- Fixed: Repeater styling options not working in Bullet List widget.

= 4.5.4 - 20/09/2021 =

- Tweak: Save all the plugin settings on change without need to click "Save Settings" button.
- Fixed: Equal Height option not working when carousel is enabled in Blog widget.

= 4.5.3 - 06/09/2021 =

- Fixed: Equal Height option not working in some cases in Blog widget.
- Fixed: Default style for Grow effect in Image Button widget.
- Fixed: Self-hosted videos autoplay option not working on iOS devices in Video Box widget.

= 4.5.2 - 30/08/2021 =

- Tweak: PHP Code refactored for better performance and security.

= 4.5.1 - 25/08/2021 =

- Tweak: Added new devices added in Elementor Custom Breakpoints to Equal Height feature.
- Tweak: Code refactored for better performance and security.

= 4.5.0 - 25/08/2021 =

- Tweak: Unnecessary code removed in Media Gallery for faster editing speed.
- Tweak: Added Privacy Mode option for Youtube videos in Media Gallery widget.
- Tweak: Compatibility with Elementor v3.4.2.
- Fixed: Grow Effect in Button widget not working on Safari.
- Fixed: Metro grid not showing on small screens in Media Gallery widget.

= 4.4.9 - 24/08/2021 =

- Tweak: Improved JS code for Media Gallery and Banner widgets.
- Fixed: Match Posts option not working in Blog widget.

= 4.4.8 - 18/08/2021 =

- Tweak: JS code improved for Team Members, Blog and Media Gallery widgets.
- Tweak: Compatibility with Elementor v3.4.
- Fixed: Exclude Posts option not working in Blog widget.
- Fixed: Post content margin issue in Blog widget with Twenty Twenty-One.
- Fixed: PHP warnings for responsive controls after Elementor v3.4.

= 4.4.7 - 17/08/2021 =

- Tweak: Added Loading Bar option in Fancy Text widget.
- Fixed: Autoplay option not working for multiple Vimeo videos on the same page in Videobox widget.
- Fixed: Premium Templates popup closes when filter by widget select option is clicked.

= 4.4.6 - 09/08/2021 =

- New: Added Advanced Border Radius option to improve the normal Border Radius option - [here](https://9elements.github.io/fancy-border-radius/).
- Tweak: Improved functions with database queries to minimize server load.
- Fixed: Digits Padding control not working for digits in Countdown widget.

= 4.4.5 - 03/08/2021 =

- Tweak: Added Tilt option in Lottie Animation widget.
- Tweak: Media Gallery widget videos compatibility with PrettyPhoto lightbox.
- Tweak: Improved comatibility with WPML for all widgets.
- Fixed: Alignment controls icons not showing in editor panel.

= 4.4.4 - 30/07/2021 =

- Fixed: Fixed issue related to self hosted videos in Media Gallery widget.

= 4.4.3 - 28/07/2021 =

- Tweak: Added Justify option to Content Alignment in Blog widget.
- Fixed: Video lightbox conflict with some themes in Media Gallery widget.

= 4.4.2 - 27/07/2021 =

- Tweak: Added link attributes for button in Pricing Table widget.
- Tweak: Compatibility with WordPress 5.8.

= 4.4.1 - 22/07/2021 =

- Fixed: Lightbox navigation issue with videos in Media Gallery widget.
- Fixed: Blog pagination functions are called even pagination option is disabled.

= 4.4.0 - 13/07/2021 =

- Tweak: Added Flipping Efect in Countdown widget.
- Tweak: Added Padding option for digits in Countdown widget.
- Fixed: Exclude Sticky Posts option not working in Blog widget.
- Fixed: Lottie Icon Size conflict on the editor with Elementor Pro.

= 4.3.9 - 06/07/2021 =

- New: Added Evergreen option in Countdown widget.
- Fixed: Elementor Lightbox option adds a slider even with one image in Media Gallery widget.
- Fixed: Text not rendered issue for Style 9 in Heading widget.

= 4.3.8 - 28/06/2021 =

- Fixed: Video thumbnails not showing in Media Gallery widget.

= 4.3.7 - 17/06/2021 =

- Tweak: Added Show Video Title option for Playlist in Videobox widget.
- Tweak: Improved all widgets comatibility with WPML.
- Tweak: Added Link attributes for Company Name in Testimonial widget.
- Tweak: Improve Images HTML markup in Media Gallery widget.

= 4.3.6 - 14/06/2021 =

- Tweak: Code improvements for better performance.

= 4.3.5 - 27/05/2021 =

- Tweak: Added Animated Gradient effect option in Heading widget.
- Tweak: Added Text Stroke option for background text in Heading widget.

= 4.3.4 - 27/05/2021 =

- Fixed: Premium Templates caching system not working.

= 4.3.3 - 17/05/2021 =

- Tweak: Select any taxonomy for Filter Tabs option in Blog widget.
- Fixed: Hover Border Radius option issue on Safari in Image Scroll widget.

= 4.3.2 - 06/05/2021 =

- Fixed: Custom attributes not rendered in Button and Image Button widgets.
- Fixed: Open Links in New Tab option not working with Excerpt in Blog widget.
- Fixed: Effect 8 border issue in Banner widget.
- Fixed: Carousel Navigation Dots position conflict with some themes.

= 4.3.1 - 26/04/2021 =

- Fixed: Border position issue in Effect 7,8 in Banner widget.
- Fixed: Lottie Background addon issue after v4.3.0.

= 4.3.0 - 18/04/2021 =

- Tweak: Added Minimal Mask effect to Dual Heading and Heading widgets.
- Fixed: Style 2 direction option not working in Button widget.
- Fixed: Arrow spacing issue with Multiple Labels in Progress Bar widget.
- Fixed: Icon Color option not applied on SVGs in all widgets.
- Fixed: Carousel Navigation Dots position option not working with some themes.

= 4.2.9 - 13/04/2021 =

- Tweak: Added new hover effect `Animation 11` in Banner widget.
- Tweak: Added Image Mask option in Image Separator widget.
- Tweak: Added Color option for Text Editor in Modal Box widget.
- Fixed: Marker information window alignment issue on RTL sites in Google Maps widget.

= 4.2.8 - 06/04/2021 =

- Tweak: Added Double Layers hover effect in Button widget.
- Fixed: Match/Exclude Post option not working for custom post types in Blog widget.
- Tweak: Code refactored for better performance and security.

= 4.2.7 - 30/03/2021 =

- Tweak: Added Width, Height and Position options for Shape Divider in Blog widget.
- Fixed: Progress Bar Multiple Labels option not working after 4.2.6.
- Fixed: Carousel widget entrance animations issue on page load.

= 4.2.6 - 25/03/2021 =

- Tweak: Added Shape Divider option for featured image in Blog widget.
- Tweak: Added Author Image Position control for Cards skin in Blog widget.
- Tweak: Added Text Stroke option in Fancy Text widget.
- Tweak: Code refactored for better performance and security.

= 4.2.5 - 22/03/2021 =

- New: Added Equal Height addon in Section -> Advanced tab.
- Tweak: Code refactored for better performance and faster editor loading.
- Tweak: Added Gradient Layer option for Load More button in Media Gallery widget.
- Tweak: Added Loop option for videos in Media Gallery widget.

= 4.2.4 - 16/03/2021 =

- Tweak: Added Text Stroke option in Heading widget.
- Tweak: Added Auto Fade effect to Fancy Text widget.
- Fixed: Widgets are not showing in the editor panel in some themes.

= 4.2.3 - 23/02/2021 =

- New: Copy/Paste whole page content using Cross-Domain Copy N’ Paste.
- Tweak: Added Load More Posts On Scroll option in Blog widget.
- Tweak: Code refactored for better performance and security.

= 4.2.2 - 16/02/2021 =

- Tweak: Added Get Image Title/Description from Media Library option in Media Gallery widget.
- Tweak: Change Post Container HTML Tag to `article` in Blog widget.
- Tweak: Show/Hide Post Author Image in Cards skin in Blog widget.
- Tweak: Alt attribute added to Images in Bullet List widget.
- Tweak: Code refactored for better performance and security.
- Fixed: Multi-line Features alignment issue in Pricing Table widget.

= 4.2.1 - 10/02/2021 =

- Fixed: Warnings after Elementor v3.1.0.
- Fixed: Console error `google is not defined` with Google Maps widget.

= 4.2.0 - 31/01/2021 =

- Tweak: Added Check Content Overflow option in Vertical Scroll widget.
- Fixed: Premium Templates not working with Elementor v3.1.0

= 4.1.9 - 27/01/2021 =

- Tweak: Added Box Shadow option for posts outer container in Blog widget.
- Tweak: Unnecessary files removed for faster performance.
- Fixed: `Notice: Undefined index: is-beta-tester` warning message on plugin activation.

= 4.1.8 - 25/01/2021 =

- Tweak: Code refactored for better performance and security.

= 4.1.7 - 21/01/2021 =

- Tweak: Added Scroll After Pagination/Filter Tabs switcher option in Blog widget.
- Fixed: RTL issues in Counter, Team Members and Videobox widgets.

= 4.1.6 - 15/01/2021 =

- Tweak: Added Grow hover effect to Button and Image Button widgets.
- Tweak: Added Size option for Navigation Dots in Carousel widget.
- Tweak: URL Flag option in Media Gallery widget to link filter categories from any page.

= 4.1.5 - 04/01/2021 =

- Fixed: RTL issues in Progress Bar widget.
- Fixed: HTML markup issue in Bullet List widget.
- Fixed: Navigation Arrows color option not applied on SVG icons.

= 4.1.4 - 31/12/2020 =

- Fixed: WPML errors with Premium Carousel widget.

= 4.1.3 - 29/12/2020 =

- Tweak: Added Custom Icons options for Navigation Arrows/Dots in Carousel widget.
- Tweak: Added Caching option to Youtube Playlist/Channel Videos in Videobox widget.
- Tweak: Added Empty Query notice message control in Blog widget.
- Fixed: Background Color option not working with vertical direction in Carousel widget.

= 4.1.2 - 28/12/2020 =

- Tweak: Added Image option to Icon and Feature List in Pricing Table widget.
- Tweak: Added Height option to image in Image Separator widget.
- Tweak: Videos not working in Media Gallery widget when lightbox option is disabled.
- Fixed: Alignment options not working for Image/Lottie in Image Separator widget.
- Fixed: Carousel Custom Navigation option not working after WordPress 5.6.

= 4.1.1 - 21/12/2020 =

- Tweak: Added Custom ID option for markers in Google Maps widget.

= 4.1.0 - 13/12/2020 =

- Tweak: Added Digits option to Expire Type in Countdown widget.
- Tweak: Added styling options to expire message in Countdown widget.
- Fixed: Carousel swipes in opposite direction in Team Members widget.
- Fixed: Plus Sign Color option not working in Blog widget.
- Fixed: Fancy Text animation issue when Animation Delay option is empty.

= 4.0.9 - 10/12/2020 =

- Tweak: Control number of Members/Row when Carousel option is enabled in Team Members widget.

= 4.0.8 - 04/12/2020 =

- Tweak: Enable Carousel options when Grid is disabled in Blog widget.
- Fixed: Content alignment issue in Blog widget on RTL sites.
- Fixed: Offset option not working in Blog widget.
- Fixed: Warning: Undefined Index in Premium Heading widget.

= 4.0.7 - 02/12/2020 =

- Tweak: Added Slides To Scroll option for carousel in Blog widget.
- Fixed: License page redirection issue in Premium Templates button.

= 4.0.6 - 29/11/2020 =

- Fixed: Non-dismissible admin notice.

= 4.0.5 - 26/11/2020 =

- Fixed: Widgets are not showing in Premium Addons category in the editor panel.
- Fixed: Blog Offset option not working after v4.0.0.
- Fixed: Filter Tabs by Tabs not working in Blog widget.

= 4.0.4 - 24/11/2020 =

- Tweak: Added responsive controls for Layout Type option in Bullet List widget.
- Tweak: Added responsive controls for Rotate option in Lottie Animations widget.
- Fixed: Rollback button is not working after v4.0.0.
- Fixed: Categories style tab showing with all Skins in Blog widget.
- Fixed: Support URL is not working in dashobar General tab.
- Fixed: Elements switchers are not saving after v4.0.0.

= 4.0.3 - 22/11/2020 =

- Fixed: Issues after v4.0.0.

= 4.0.1 - 19/11/2020 =

- Fixed: Fatal error after v4.0.0

= 4.0.0 =

- New: Premium Bullet List widget added - check demo page from [here](https://premiumaddons.com/elementor-bullet-list-widget/?utm_source=wp-repo&utm_medium=link&utm_campaign=readme).
- New: Cross-Domain Copy N’ Paste feature added - [here](https://premiumaddons.com/docs/how-to-copy-elementor-content-from-site-to-another-using-pa-copy-paste-feature/?utm_source=wp-repo&utm_medium=link&utm_campaign=readme).
- Tweak: Plugin dashboard settings tab rebuilt for better UX and easier usage.
- Tweak: Premium Blog widget now supports Custom Post Types.
- Tweak: Premium Blog widget default styling improved for easier usage.
- Tweak: Added two new skins to Blog widget - [here](https://premiumaddons.com/blog-widget-for-elementor-page-builder/?utm_source=wp-repo&utm_medium=link&utm_campaign=readme).
- Tweak: Blog Pagination and Filter Tabs option now load posts via AJAX.
- Tweak: Added Ignore Sticky Posts and Exclude Current Post options in Blog widget.
- Tweak: Removed Post Format icon from all Blog widget skins.
- Tweak: Added two new styles to Heading widget - [here](https://premiumaddons.com/heading-widget-for-elementor-page-builder/?utm_source=wp-repo&utm_medium=link&utm_campaign=readme).
- Tweak: Added Background Text option to Title and Dual Heading widgets.
- Tweak: Added four new styles to Banner widget - [here](https://premiumaddons.com/banner-widget-for-elementor-page-builder/?utm_source=wp-repo&utm_medium=link&utm_campaign=readme).
- Tweak: Added Custom Navigation option to Carousel widget - [here](https://premiumaddons.com/docs/how-to-use-elementor-widgets-to-navigate-through-carousel-widget-slides/?utm_source=wp-repo&utm_medium=link&utm_campaign=readme).
- Tweak: Added size units to Arrows size/position options in Carousel widget.
- Tweak: Added Get Youtube Playlist/Channel videos in Video Box widget - [here](https://premiumaddons.com/docs/how-to-enable-youtube-data-api-for-premium-video-box-widget/?utm_source=wp-repo&utm_medium=link&utm_campaign=readme).
- Tweak: Added Sticky option in Video Box widget - [here](https://premiumaddons.com/elementor-video-box-widget/?utm_source=wp-repo&utm_medium=link&utm_campaign=readme).
- Tweak: Added Mask Video Shape option Video Box widget.
- Tweak: Added Hover Effects to overlay image in Video Box widget.
- Tweak: Added Autoplay On Viewport option in Video Box widget.
- Tweak: Added new style in Team Membmers widget - [here](https://premiumaddons.com/persons-widget-for-elementor-page-builder/?utm_source=wp-repo&utm_medium=link&utm_campaign=readme).
- Tweak: Added Mask Image Shape in Image Scroll widget - [here](https://premiumaddons.com/elementor-image-scroll-widget/?utm_source=wp-repo&utm_medium=link&utm_campaign=readme).
- Tweak: Added New Entrance Animations in Modal Box widget - [here](https://premiumaddons.com/modal-box-widget-for-elementor-page-builder/?utm_source=wp-repo&utm_medium=link&utm_campaign=readme).
- Tweak: Added switcher to show/hide Icon in Counter widget.
- Tweak: Added responsive controls for Display option in Dual Heading widget.
- Tweak: Render template function code refactored for faster loading speed.
- Fixed: Blog Filter Tabs option works for the posts on the current page only.
- Fixed: Carousel option not working for RTL sites in Blog widget.
- Fixed: Icons Position option not working with Style 4 in Media Gallery widget.
- Fixed: Elements from other plugins are not showing in the editor panel when Premium Addons is activated.

= 3.21.6 - 19/11/2020 =

- Tweak: Added responsive controls for play icon and video description horizontal/vertical position options in Video Box widget.
- Tweak: Unnecessary code removed for better performance.

= 3.21.5 - 26/10/2020 =

- Tweak: Added `Trigger on Viewport` option in Lottie Animations widget.
- Tweak: Media Gallery widget images loading with Lazyload Images plugins.
- Fixed: Filter by categories with special characters not working in Media Gallery widget.
- Fixed: Filter by tabs option not working when `All` category is removed in Blog widget.
- Fixed: Font Awesome icons not showing in Carousel, Media Gallery and Testimonials widgets.

= 3.21.4 - 19/10/2020 =

- Tweak: Added File Source (URL/File Upload) option in Lottie Animation widget.
- Fixed: Modal Box not showing in RTL sites.
- Fixed: Custom pins size issue in Google Maps widget.
- Fixed: Font Awesome 4 icons conflict issue.

= 3.21.3 - 30/09/2020 =

- Fixed: Premium Templates button issues with Elementor above 3.0.0.
- Fixed: Fancy Text Slide Up effect alignment issue in the editor page.

= 3.21.2 - 30/09/2020 =

- Tweak: Added Download Button option for self hosted videos in Video Box widget.
- Fixed: Vimeo videos not working in Lightbox in Media Gallery widget.

= 3.21.1 - 10/09/2020 =

- Fixed: Compatibility issues with Elementor v3.0.0.
- Fixed: Lottie Animate On Scroll option not working with fixed position.
- Fixed: Carousel entrance animations flickeing issue when a delay is added.

= 3.21.0 =

- Tweak: Added Dynamic Tags support in Counter widget.
- Tweak: Added Section ID option to add unique ID for templates in Vertical Scroll widget.
- Tweak: Added Disable Map Drag option in Google Maps widget.

= 3.20.9 - 17/08/2020 =

- Tweak: Added Loop Count option in Fancy Text widget.
- Tweak: Deprecated functions updated.
- Fixed: RTL issues in Banner and Title widgets.

= 3.20.8 - 20/07/2020 =

- Tweak: Added Show/Hide Post Featured Image option in Blog widget.
- Tweak: Added Border options for post box in Blog widget.
- Tweak: Added Boxes Equal Height option for posts content boxes in Blog widget.
- Fixed: Lottie animations duplicate issue when inserted in a template.

= 3.20.7 - 08/07/2020 =

- Tweak: Added alignment options for the outer container in Counter widget.
- Tweak: Added Typography options for modal body content in Modal Box widget.

= 3.20.7 - 08/07/2020 =

- Tweak: Added Custom Animation to select between dozens of animations in Fancy Text widget.
- Fixed: Items overlap issue in zoomout and rotate effects in Fancy Text widget.
- Fixed: `NOTICE: wp-content/plugins/premium-addons-for-elementor/includes/class-helper-functions.php:461 – Trying to access array offset on value of type bool`

= 3.20.6 - 26/06/2020 =

- Tweak: Added Show Title option for Elementor lightbox in Media Gallery widget.
- Fixed: Carousel flickering issue when Entrance Animation is added for inner content.

= 3.20.5 - 16/06/2020 =

- Tweak: Added Active Border options for Filter tabs in Blog widget.
- Tweak: Added Render Type option in Lottie Animation widget.
- Fixed: Page scroll not working when Vertial Scroll widget is hidden on the current device.
- Fixed: Item title/description hidden when video is clicked in Media Gallery.

= 3.20.4 - 08/06/2020 =

- Tweak: Added Normal/Hover opacity in Lottie Animations widget.
- Fixed: Post featured image is not linked to post in Blog widget.

= 3.20.3 - 01/06/2020 =

- Fixed: Even layout in Blog widget not working when carousel option is enabled.
- Fixed: Premium Templates button icon not showing.

= 3.20.2 - 26/05/2020 =

- New: Premium Lottie Animations widget added.
- Tweak: Even layout images height option improved in Media Gallery widget.
- Tweak: Image size option added for all layouts in Media Gallery widget.
- Fixed: Page update button is disabled after inserting a template.

= 3.20.1 - 19/05/2020 =

- Tweak: Added link option in Premium Title widget.
- Fixed: Lottie Animations options conflict.

= 3.20.0 - 12/05/2020 =

- New: Introducing Lottie Animations Integration for all the widgets including icon options.
- Tweak: Added Circle and Dots layouts in Progress Bar widget.
- Tweak: Added Icon Spacing icon option in Title widget.
- Tweak: Added Custom Image icon option in Title widget.
- Tweak: Added Icon Position option in Title widget.
- Tweak: Added Icon/Text Color option to control feature list items colors separately in Pricing Table widget.
- Tweak: Added Separator Align option in Testimonials widget.
- Tweak: Added Text Shadow options for person/company name in Testimonials widget.
- Tweak: Added Hover CSS Filters in Image Separator widget.
- Tweak: Modal Box widget improved for faster editing experience.
- Fixed: Images not re-align on window resize in Media Gallery widget.

= 3.12.3 - 10/05/2020 =

- Tweak: Added `Size` option for Markers in Google Maps widget.
- Tweak: Posts comments number compatibility with Disqus plugin.
- Fixed: Progress Bar widget value applied on all bars on the page.
- Fixed: Media Gallery widget masonry layout issues on the editor on Chrome.
- Fixed: Blog post content duplicate issue when Full Content option is selected.
- Fixed: Blog masonry layout issues on the editor on Chrome.

= 3.12.2 - 04/05/2020 =

- Tweak: Render Image Alt attribute on Elementor Lightbox in Media Gallery widget.
- Tweak: Added styling options for Elementor Lightbox in Media Gallery widget.
- Tweak: Added `Website Link` option in Team Members widget.
- Tweak: Added `Center Mode` option for post carousel in Blog widget.
- Tweak: Added `Animated Gradient` style in Progress Bar widget.
- Fixed: Video Box description still showing after video click.

= 3.12.1 - 21/04/2020 =

- Fixed: Dynamic links not working for some elements.
- Fixed: Carousel slides to show is always set to 1 on tablet/mobile in Blog widget.
- Fixed: Description hover color option not working in Video Box widget.

= 3.12.0 - 07/04/2020 =

- Tweak: Read More markup in Blog widget will not be rendered if Read More text is empty.
- Tweak: Added padding option for name, title and description in Team Members widget.
- Tweak: Added arrow hover color/background for carousel in Team Members widget.
- Fixed: Click a video in Video Box widget does not play it on Chrome.
- Fixed: Dribbble link option not appearing for multiple team members in Team Members widget.

= 3.11.9 - 27/03/2020 =

- Fixed: Warning: Use of undefined constant PREMIUM_PRO_ADDONS_VERSION.

= 3.11.8 - 19/03/2020 =

- Tweak: Added `Mouse Tilt` option in Banner widget.
- Fixed: Thousands separator can't be removed in Counter widget.
- Fixed: Videos/Links are not embedded in Blog widget.
- Fixed: Modal iframes duplicate issue in Modal Box widget.

= 3.11.7 - 19/03/2020 =

- Tweak: Added `Border Radius` option for navigation dots in Vertical Scroll widget.
- Tweak: Added `Hover CSS Filters` option for post featured image in Blog widget.
- Tweak: Default overlay color for post featured image removed in Blog widget.

= 3.11.6 - 11/03/2020 =

- Tweak: Added `Vertical Offset` option for below slides navigation dots in Carousel widget.
- Tweak: Added `Get Content From Post Excerpt/Full Content` option in Blog widget.
- Tweak: Added `Full Width` option for read more button in Blog widget.
- Tweak: Added `Autoplay` option for Youtube/Vimeo videos in Video Box widget.
- Tweak: Added `Normal/Hover background color, padding and border` options for read more button in Blog widget.
- Fixed: Post content in Blog widget not showing if post custom excerpt contains empty spaces.
- Fixed: Carousel navigation dots position conflict with some themes.

= 3.11.5 - 02/03/2020 =

- Fixed: Testimonials widget markup issue since v3.11.4
- Fixed: Post featured image link not working since v3.11.4

= 3.11.4 - 22/02/2020 =

- Tweak: Added `Controls Color` for Vimeo videos in Video Box widget.
- Tweak: Added `Show/Hide Intro Title, Portrait and Byline` options for Vimeo videos in Video Box widget.
- Tweak: HTML div, p and span tags added to HTML Tag option in all widgets for SEO Optimization.
- Tweak: Bordered overlay effect improved in Blog widget.
- Fixed: Navigation dots in Vertical Scroll widget not hidden when scroll below the widget.
- Fixed: Media Gallery items not shown when Active Category Index option is left empty.
- Fixed: Current section in Vertical Scroll widget is not detected when scrollbar is used to scroll.
- Fixed: Blog widget not showing posts if post excerpt is empty.
- Fixed: Blog Widget layout always changed to masonry on filter tabs click.
- Fixed: Blog Widget excerpt link markup issue.
- Fixed: Input width and box shadow options are not applied on file type input in Contact Form 7 widget.

= 3.11.3 - 19/02/2020 =

- Fixed: Premium Templates button not showing after Elementor v2.9.0

= 3.11.2 - 15/02/2020 =

- Tweak: Added RTL support for lightbox in Media Gallery widget.
- Tweak: Added `Filter Tabs By Categories/Tags` in Blog widget.
- Tweak: Added `Show/Hide Navigation Dots` option in Vertical Scroll widget.
- Fixed: Banner widget image styling not applied after last version.
- Fixed: Duplicated items using Premium Duplicator type always set to "Page".
- Fixed: Carousel widget fade option not working in RTL sites.
- Fixed: Carousel widget navigation arrows position issue in RTL sites.

= 3.11.1 - 13/02/2020 =

- Tweak: Improved support for RTL sites.
- Tweak: Added minified assets to improve performance and loading speed.
- Tweak: Show post custom excerpt if set in Blog widget.
- Fixed: Fields styling not applied on file type fields in Contact Form 7 widget.
- Fixed: Fancy Text widget conflict on the editor.

= 3.11.0 - 06/02/2020 =

- Tweak: Added `Filter Rules (Match/Exclude)` options for Authors, Categories and Tags in Blog widget.
- Tweak: Added `Enable Pagination Next/Prev Strings` option in Blog widget.
- Tweak: Added `Background Color` option for active page in Blog widget.
- Tweak: Pagination number styling improved for better pagination experience in Blog widget.
- Tweak: Added `Image Size` option in Banner widget.
- Tweak: Videos in Media Gallery widget are now loaded only when an image is clicked to optimize page loading speed and size.
- Fixed: Background Color not applied on Triangle Ribbon in Pricing Table widget.

= 3.10.9 - 03/02/2020 =

- Fixed: `Notice: Trying to access array offset on value of type bool in ./premium-addons-for-elementor/admin/settings/modules-setting.php on line 106`

= 3.10.8 - 28/01/2020 =

- Tweak: Added Carousel options in Persons widget.
- Fixed: `$ is not a function` in Maps widget.

= 3.10.7 - 27/01/2020 =

- Tweak: Added `Size` option for social icons in Persons widget.
- Fixed: Linkedin icon not showing in Persons widget.

= 3.10.6 - 23/01/2020 =

- Tweak: Added Whatsapp and Telagram for social icons in Persons widget.
- Fixed: Mute and Controls options not working for self-hosted videos when lightbox is enabled in Media Gallery widget.

= 3.10.5 - 20/01/2020 =

- Tweak: Added `Scroll Offset` option in Vertical Scroll widget.
- Fixed: Hover Color/Padding options not working in Video Box widget.

= 3.10.4 - 17/01/2020 =

- Tweak: Added `Multiple Persons` options in Persons widget.

= 3.10.3 - 13/01/2020 =

- Tweak: Two effects added in Fancy Text widget.
- Tweak: Improved Vimeo videos methods in Video Box widget.

= 3.10.2 - 06/01/2020 =

- Tweak: Widgets prefix on settings page and editor panel can now be translated.
- Fixed: Inline editing is not working in Person widget.

= 3.10.1 - 02/01/2020 =

- Tweak: Added three new styles for ribbon in Pricing Table widget.
- Fixed: `Post Format Icon` switcher not working for `Classic` skin in Blog widget.

= 3.10.0 - 30/12/2019 =

- Tweak: Premium Templates modal styling enhanced for Elementor Dark Mode.
- Tweak: Added `Rotate` options in Dual Heading widget.

= 3.9.9 - 26/12/2019 =

- Tweak: Added `Image Size` option for featured image in Blog widget.
- Tweak: Added `Tooltips` option for Feature List in Pricing Table widget.
- Tweak: Select between Image/Icon in Image Separator widget.
- Tweak: Added responsive controls for `Gutter` option in Image Separator widget.

= 3.9.8 - 23/12/2019 =

- Tweak: Added `Margin` option for title, description and button in Banner widget.
- Tweak: Navigation dots hover ripple effect improved in Carousel widget.
- Tweak: Added `Inactive Ripple Color` option inactive slide dot in Carousel widget.
- Fixed: Default title hover color on effect 4 in Banner widget.

= 3.9.7 - 19/12/2019 =

- New: Introducing "PA Duplicator" - The easiest way to duplicate posts, pages or templates.
- Fixed: Multiple labels option not working on IE in Progressbar widget.
- Fixed: Style #2 not working in Media Gallery widget.

= 3.9.6 - 12/12/2019 =

- Fixed: Style #7 alignment issue in Title widget.

= 3.9.5 - 09/12/2019 =

- Fixed: Style #2 caption hover animation issue in Media Gallery widget.

= 3.9.4 - 05/12/2019 =

- Tweak: Added `Blend Mode` option for image in Banner, Image Scroll and Person widgets.
- Tweak: Added `Stripe Position` option for Style 7 in Title widget.

= 3.9.3 - 02/12/2019 =

- Fixed: `Warning: A non-numeric value encountered` when Offset or Posts Per Page option is left blank in Blog widget.

= 3.9.2 - 29/11/2019 =

- Tweak: Prevent rendering carousel item if no template is selected.
- Fixed: Carousel stop issue after v3.9.1.

= 3.9.1 - 27/11/2019 =

- Tweak: Premium Carousel widget now fully compatible with `Entrance Animations` for the inner elements.
- Tweak: Added `Entrance Animation` option to navigation dots in Vertical Scroll widget.
- Tweak: Added `Icons Size` option for lightbox, icons and videos icon in Media Gallery widget.

= 3.9.0 - 26/11/2019 =

- Tweak: Added `Box Shadow` option for digits in Countdown widget.

= 3.8.9 - 25/11/2019 =

- Tweak: Added `Digits Separator` option in Countdown widget.
- Tweak: Added `Alignment` option for categories in Media Gallery widget.
- Fixed: Outline type box shadow not appearing in Person widget `Style 2`.

= 3.8.8 - 21/11/2019 =

- Tweak: Added new style `Style 4` in Media Gallery widget.
- Tweak: Border Radius option for Image and Content changed from `SLIDER` to `DIMENSIONS` in Media Gallery widget.
- Tweak: Added `Active Color` option for current pagination item in Blog widget.
- Fixed: Number of pagination links is not valid if `Total Number of of Posts` option number is larger than published posts in Blog widget.

= 3.8.7 - 18/11/2019 =

- Fixed: Full section scroll not working after scrolling to the end of the page.

= 3.8.6 - 14/11/2019 =

- Fixed: Horizontal line appears on image hover in Premium Blog widget.

= 3.8.5 - 13/11/2019 =

- Fixed: `Uncaught ArgumentCountError: Too few arguments to function PremiumAddons\Widgets\Premium_Blog::get_post_thumbnail()` in Premium Blog widget

= 3.8.4 - 13/11/2019 =

- Tweak: Added new skin `Classic` in Blog widget.
- Tweak: Added separators to posts meta data in Blog widget.
- Tweak: Added `Style 2` in Person widget.
- Tweak: Added `Brands Default Colors` option in Person widget.

= 3.8.3 - 13/11/2019 =

- Tweak: Added more action buttons to the plugin on Plugins page.
- Tweak: Added posts to `Existing Page` link option in all widgets.
- Fixed: Google Chrome console erros with Vertical Scroll widget.
- Fixed: Page scroll is disabled even after Vertical Scroll slides are fully scrolled.

= 3.8.2 - 11/11/2019 =

- Fixed: SVG icons size option not working in all widgets.
- Fixed: Feature List icon and item not aligned in Pricing Table widget.

= 3.8.1 - 04/11/2019 =

- Fixed: Add new items in feature list not working in Premium Pricing Table.

= 3.8.0 - 28/10/2019 =

- Tweak: Change Lightbox, Links and Videos icons options added to Media Gallery widget.
- Tweak: Added `Enable Social Icons` option in Person widget.
- Tweak: Added `Text Shadow` option for Name, Title and Description strings in Person widget.
- Tweak: Added `Transition Duration` option for image and content in Person widget.
- Tweak: Added more styling option Social Icons in Person widget.

= 3.7.9 - 24/10/2019 =

- Tweak: Added style options for Container in Banner widget.
- Tweak: Changed `Border Radius` option from `SLIDER` to `DIMENSIONS` in Countdown widget.
- Tweak: Added `Remote Video URL` option to Media Gallery and Video Box widget.
- Tweak: Added `First Category Label` option for Filter Tabs in Blog widget.
- Fixed: Image overlay does not appear with Self Hosted videos in Video Box widget.
- Fixed: `Contact Form 7` widget wraps all inputs in the page.
- Fixed: Single quote not rendered in Fancy Text widget.
- Fixed: Default border applied on navigation arrows in Carousel widget.
- Fixed: Navigation Arrows hidden by default in some themes in Carousel widget.

= 3.7.8 - 17/10/2019 =

- Tweak: Added `Image Size` option in Image Scroll widget.
- Fixed: Slideshow is not working when `Elementor` lightbox is selected in Media Gallery widget.

= 3.7.7 - 10/10/2019 =

- Fixed: Counter widget icon is not appearing on the preview page.

= 3.7.6 - 03/10/2019 =

- Tweak: Added `Youtube Thumbnail Size` option to Videobox and Grid widgets.
- Tweak: Updated Person widget social icons to Font Awesome 5.
- Fixed: Invalid `background-image` in Videobox widget when `Overlay` option is disabled.

= 3.7.5 - 30/09/2019 =

- Tweak: Person widget `Width` option enhanced.

= 3.7.4 - 25/09/2019 =

- Tweak: Added Normal/Hover options for navigation arrows in Carousel widget.
- Tweak: Added `srcset` and `width` attributes to image in Person widget.
- Tweak: Load Google maps API script only if API key is set.
- Fixed: Console error `PremiumProSettings is not defined`

= 3.7.3 - 23/09/2019 =

- Tweak: Improved plugin security.

= 3.7.2 - 14/09/2019 =

- Fixed: Vertical Scroll does not work on mobile when `Enable Full Section Scroll on Touch Devices` is disabled.

= 3.7.1 - 11/09/2019 =

- Tweak: Vertical Scroll performance enhanced on all devices.
- Fixed: Security bugs fixed.

= 3.7.0 - 10/09/2019 =

- Tweak: Media Gallery widget now support videos.
- Fixed: `Undefined variable: header_new, header_migrated` in Modal Box widget.

= 3.6.9 - 09/09/2019 =

- Fixed: Vertical Scroll does not work after last version.

= 3.6.8 - 02/09/2019 =

- Tweak: Added Hover/Active border settings for filters tabs in Grid widget.
- Fixed: Tags styling not working in Blog widget.
- Fixed: `Notice: Undefined index: premium_modal_box_button_icon_selection` in Modal Box.

= 3.6.7 - 02/09/2019 =

- Tweak: Font Awesome 5 compatibility for all widgets.
- Tweak: Added `Navigation Dots` option for carousel in Blog widget.
- Tweak: Added `Text/Background Hover Color` option for filter tabs in Grid widget.
- Tweak: Added `Shuffle Images on Page Load` option to Grid widget.
- Fixed: Description container rendered even when description text is empty in Persons widget.
- Tweak: Show overflow content then scroll in Vertical Scroll widget.
- Fixed: Vertical Scroll issue on Mac OS.

= 3.6.6 - 26/08/2019 =

- Fixed: `Notice: Undefined variable: col_number in /premium-blog.php on line 1752'
- Fixed: Fatal error when WPML Multilingual inactive and WPML Strings Translation active.
- Fixed: Margin Top/Bottom issue with multiple Carousel widgets on the same page.

= 3.6.5 - 22/08/2019 =

- Tweak: Added `Autoplay` option for self hosted videos in Video Box widget.
- Fixed: Youtube videos thumbnails broken when `Overlay` option is disabled in Video Box widget.
- Fixed: `Strip Alignment` option issue for Style 7 in Title widget.
- Fixed: `Starting Number` option doesn't work with large values in Counter widget.

= 3.6.4 - 19/08/2019 =

- Tweak: Grid widget code refactored for better performance.
- Tweak: Added `Lightbox Type` option in Grid widget to switch between default, Elementor's or any other lightbox plugin.
- Tweak: Added `Shuffle Images After Filter Click` option in Grid widget.
- Tweak: Added `Full Section Scroll on Touch Devices` option in Grid widget.

= 3.6.3 - 08/08/2019 =

- Fixed: Filter by Widget / Addon, Filter by Category inputs removed after `Back to Library` button is clicked.

= 3.6.2 - 05/08/2019 =

- Fixed: `Filter Tabs` option doesn't work after v3.5.7 in Blog widget.

= 3.6.1 - 02/08/2019 =

- Fixed: Carousel Widget doesn't work after v3.6.0.
- Fixed: Vimeo Videos don't work in Video Box widget.

= 3.6.0 - 30/07/2019 =

- New: Introducing Premium Templates - The Easiest way to insert templates with just ONE click.
- Fixed: Grid widget categorization doesn't work with non English characters.

= 3.5.9 - 29/07/2019 =

- Tweak: Added Title Border and Inner Border color option for Effect 3,4 and 6 in Banner widget.

= 3.5.8 - 25/07/2019 =

- Tweak: Updated `Related Videos` control due to YouTube API changes in Video Box widget.
- Tweak: Video URL extraction enhanced in Video Box widget.

= 3.5.7 - 23/07/2019 =

- Tweak: Added `RTL Mode` option in Grid widget.
- Tweak: Added `Even` layout option in Blog widget.
- Tweak: Added `Box Background Color` for posts in Blog widget.

= 3.5.6 - 18/07/2019 =

- Tweak: Added `Save to Browser History` option to save current section ID in Vertical Scroll widget.
- Tweak: Added `Hover CSS Filters` in Banner widget

= 3.5.5 - 15/07/2019 =

- Tweak: `Even` layout enhanced for more usability in Grid widget.
- Fixed: `Load More` button loads images from `All` category even when not on `All` filter tab in Grid widget.
- Fixed: Transparent `Stroke Fill Color` option issue in Dual Heading widget.

= 3.5.4 - 11/07/2019 =

- Tweak: Added `Stroke` option for First/Second heading in Dual Heading widget.

= 3.5.3 - 08/07/2019 =

- Fixed: Non-dismissible admin notice.

= 3.5.2 - 04/07/2019 =

- Tweak: Added `Normal/Hover` opacity option for Image Scroll widget.
- Fixed: `Undefined variable: video_params` error in Video Box widget.

= 3.5.1 - 04/07/2019 =

- Tweak: CSS/JS files structure enhanced for better performance.

= 3.5.0 - 01/07/2019 =

- Tweak: Added `Aspect Ratio` option in Video Box widget.
- Fixed: `Street View` icon is not showing in Premium Google Maps widget.

= 3.4.9 - 27/06/2019 =

- Tweak: Added `Player Controls` and `Start/End Time` options for Video Box widget.

= 3.4.8 - 24/06/2019 =

- Fixed: Carousel slides don't appear on RTL sites.

= 3.4.7 - 21/06/2019 =

- Tweak: Added `Localization Language` option for Premium Maps element in Google Maps settings page.
- Tweak: Added styling options for Container in Testimonials widget.
- Tweak: Enhanced CSS for Premium Persons widget to prevent image stretching.
- Fixed: Jumpy scroll issues on Google Chrome for Vertical Scroll widget.
- Fixed: Google Maps API JS file loaded even when disabled from Premium Add-ons settings page.

= 3.4.6 - 20/06/2019 =

- Tweak: Removed unusable `Edit Post Icon` option in Blog widget.

= 3.4.5 - 17/06/2019 =

- Tweak: Added `Filter Tabs` option for categories in Blog widget.
- Tweak: Added `Theme` option for lightbox in Grid widget.

= 3.4.4 - 13/06/2019 =

- Tweak: Added Classic/Cards skin option in Blog widget.
- Tweak: Added `Padding/Margin` options for content in Blog widget.
- Fixed: Vertical Scroll widget console error on Google Chrome.

= 3.4.3 - 11/06/2019 =

- Tweak: Load widgets CSS file only on pages including Premium elements.
- Tweak: Added `Images Fit` option for Metro layout in Grid widget.

= 3.4.2 - 06/06/2019 =

- Tweak: Added `Box Shadow` option for Modal Box.
- Tweak: Added `Hover CSS Filters` option for images in Grid widget.

= 3.4.1 - 03/06/2019 =

- Tweak: Added `Dots Shape` option for navigation dots in Vertical Scroll widget.
- Fixed: Header title and close button are not horizontally centered in Modal Box widget.

= 3.4.0 - 30/05/2019 =

- Tweak: Added `Hover CSS Filters` for Image in Person widget.
- Fixed: `ACF Field URL` option doesn't appear in dynamic data dropdown.

= 3.3.9 - 28/05/2019 =

- Tweak: Remove spaces between categories for images assigned to multiple categories in Grid widget.

= 3.3.8 - 20/05/2019 =

- Fixed: Images don't appear when `First Category` and `Filter` options are both disabled in Grid widget.
- Fixed: Plugin core refactored to improve performance.

= 3.3.7 - 15/05/2019 =

- Tweak: Added `_content_template()` method for Fancy Text widget to enhance rendering speed.
- Fixed: Posts's content in Blog widget is pulled from post box excerpt since v3.3.5.

= 3.3.6 - 09/05/2019 =

- Fixed: class `PremiumAddons\Premium_Addons_Integration` does not have a method `premium_maps_required_script`

= 3.3.5 - 06/05/2019 =

- Tweak: Added `Load Markers Clustering JS File` option to admin Google Maps API page.
- Tweak: Added `Pull Excerpt From Content Box` option in Blog widget.
- Tweak: Separate Excerpt link style options from meta tab in Blog widget.

= 3.3.4 - 06/05/2019 =

- Fixed: `markercluster.js` file is loaded even when Maps widget not on the page.
- Fixed: Text and icon are not horizontally centered in Button and Image Button widgets.

= 3.3.3 - 02/05/2019 =

- Fixed: `Read More` button doesn't show when `The Excerpt` post field is set in Blog widget.

= 3.3.2 - 29/04/2019 =

- Tweak: Added `_content_template()` method for Counter widget to enhance rendering speed.

= 3.3.1 - 24/04/2019 =

- Fixed: `Hover Opacity`, `Title Background` options don't work after v3.3.0.

= 3.3.0 - 23/04/2019 =

- Tweak: Added `Link Title` option in Banner widget.
- Tweak: Added `_content_template()` method for Banner widget to enhance rendering speed.

= 3.2.9 - 22/04/2019 =

- Tweak: Added `Box Shadow` option for content in Blog widget.

= 3.2.8 - 20/04/2019 =

- Tweak: Added Thumbnail `Min/Max Height`, `Fit` option for Blog widget.
- Fixed: Blog masonry is triggered even with `Grid` option is disabled.
- Fixed: Self hosted videos are stretched on full screen mode in Video Box widget.

= 3.2.7 - 18/04/2019 =

- Tweak: `.POT` Translation file updated.
- Fixed: Google reCaptcha doesn't work after v3.2.6

= 3.2.6 - 14/04/2019 =

- Tweak: `_content_template()` method added for Carousel widget to enhance rendering speed.
- Fixed: Description container is rendered even if text editor is empty in Banner widget.

= 3.2.5 - 11/04/2019 =

- Fixed: Vimeo video thumbnail issue with `Overlay` option disabled.

= 3.2.4 - 09/04/2019 =

- Tweak: Added `Portuguese` translation.
- Tweak: `WPML Compatibility` for Carousel widget.
- Tweak: Use `transform` instead of `absolute` position to enhance Carousel widget transitions.
- Fixed: Grid widget images don't fill container height for some themes.

= 3.2.3 - 04/04/2019 =

- Tweak: Added `Dynamic Content` support for Progress Bar value.
- Tweak: Added `Background Color` option for units in Countdown widget.

= 3.2.2 - 01/04/2019 =

- Tweak: Load Google maps API Key only when needed.
- Tweak: Added `Text Shadow` option for fancy strings in Fancy Text widget.
- Tweak: Added `Text Align` option for slide-up fancy strings in Fancy Text widget.

= 3.2.1 - 28/03/2019 =

- Tweak: Added `Minimum Number of Images` option for load more button in Grid widget.
- Tweak: Added `Images to Show` option for load more button in Grid widget.

= 3.2.0 - 25/03/2019 =

- Fixed: `Fatal error: call to undefined function` in v3.1.9

= 3.1.9 - 21/03/2019 =

- Tweak: `WPML Compatibility` for all widgets.
- Tweak: Added `Dynamic Content` support for all `URL` fields.
- Fixed: Title and description container rendered even title and description are empty.

= 3.1.8 - 21/03/2019 =

- Tweak: Added `Tablet/Mobile Breakpoint` options in Carousel widget.
- Fixed: `Overlay Images` option not working with multiple Grid widgets.
- Fixed: Duplicated Grid widget images in lightbox when `Whole Image Lightbox` option is enabled.

= 3.1.7 - 18/03/2019 =

- Tweak: Added `Load More` button option in Grid widget.
- Tweak: Wait images to load before triggering `Masonry` layout in Grid widget.

= 3.1.6 - 12/03/2019 =

- Tweak: `Metro` layout improved in Grid widget.
- Tweak: Get Modal Box images` `Alt` attribute from media library to enhance SEO.
- Fixed: Animation issues with multiple Carousel widgets used.

= 3.1.5 - 07/03/2019 =

- Tweak: Added `2/3 Column` option for `Metro Layout Image Width` in Grid widget.
- Fixed: Grid widget images don't appear while editing on Google Chrome.
- Fixed: Slides dissappear when animation option is set in Carousel widget.

= 3.1.4 - 04/03/2019 =

- Tweak: Added `Skype` social link for Persons widget.
- Tweak: Removed Auto redirection to settings page after plugin activation.
- Tweak: Added `Settings` to plugin action links on `Plugins` page.
- Fixed: Animations occur after slides transition in Carousel widget.

= 3.1.3 - 27/02/2019 =

- New: Added Image Scroll widget.
- Tweak: Added `CSS Filters` options group for posts` featured image in Blog widget.
- Tweak: Added `Text Shadow` option for title in Counter widget.

= 3.1.2 - 25/02/2019 =

- Tweak: Video Box layout changed to enhance page loading speed.
- Tweak: Added `Show/Hide Overlay Image` option in Video Box widget.
- Tweak: Added `Total Number of Posts` option when `Pagination` enabled in Blog widget.

= 3.1.1 - 21/02/2019 =

- Tweak: Added `Metro Layout` for Grid widget.
- Tweak: `Show Images` on lightbox option added to Grid widget.
- Tweak: Added `Start Number` option for Counter widget.
- Tweak: Icon Animation while scrolling enhanced for Counter widget.
- Tweak: JS code refactor to improve performance speed.
- Fixed: Images overlap issue after page reload in Grid widget.
- Fixed: Description not showing with `Effect 4` in Banner widget.

= 3.1.0 - 18/02/2019 =

- Tweak: Added `Carousel` option for Blog widget.
- Tweak: Added `Next/Previous Page String` for pagination buttons in Blog widget.
- Tweak: Added `Text Align` option for pagination in Blog widget.
- Tweak: Added `Typography, Border, Border Radius, Margin and Padding` style options for pagination buttons in Blog widget.
- Fixed: Added `Navigation Dots Position` option in Carousel widget.
- Fixed: Spacing below navigation dots in Carousel widget.

= 3.0.9 - 14/02/2019 =

- Tweak: Added `Fade` and `Zoom` transition effects Premium Carousel widget.

= 3.0.8 - 11/02/2019 =

- Tweak: Added `CSS Filters` option for image in Grid and Person widgets.
- Fixed: Fancy Text stops working with strings contain comma.

= 3.0.7 - 07/02/2019 =

- Tweak: Added responsive controls for arrows size/position in Premium Carousel widget.

= 3.0.6 - 04/02/2019 =

- Tweak: Added badge text for widgets` icon on the editor page.
- Fixed: Warning: implode(): Invalid arguments passed in `/premium-addons-for-elementor/queries.php` on line 27.

= 3.0.5 - 30/01/2019 =

- Tweak: Added `Filter by Author` option in Premium Blog widget to get posts for specific author(s).
- Tweak: Added `Filter by Tag` option in Premium Blog widget to get posts for specific tag(s).
- Tweak: Added `Posts to Exclude` option in Premium Blog widget.
- Tweak: Added `Order By` option in Premium Blog widget to order posts based on post author, ID, title, name, date, modification date, random.
- Tweak: Added `Order` option in Premium Blog widget to have ascending/descending order of the posts.
- Tweak: Added responsive controls for `Number of Columns` option in Premium Blog widget.
- Tweak: Inline CSS removed in Premium Blog widget.

= 3.0.4 - 28/01/2019 =

- Tweak: Added `Border` option for Heading in Premium Modal Box.
- Fixed: Modal Box heading `<h3>` when heading text empty.

= 3.0.3 - 24/01/2019 =

- Tweak: Added `CSS Filters` option for image in Banner and Image Separator widgets.

= 3.0.2 - 23/01/2019 =

- Fixed: `Full Section Scroll` option in Premium Vertical Scroll widget.

= 3.0.1 - 22/01/2019 =

- Tweak: JS Enhancements in Carousel, Progress Bar and Vertical Scroll widgets to improve plugin performance .

= 3.0.0 - 21/01/2019 =

- Tweak: Dynamic Input Fields support for more widgets.
- Fixed: Insert an Icon/Image category in Premium Grid widget.

= 2.9.9 - 17/01/2019 =

- Fixed: Image Button Border radius hover issue on iOS devices.

= 2.9.8 - 11/01/2019 =

- Tweak: Added `Margin` option for fields in Premium Contact Form 7 widget.

= 2.9.7 - 09/01/2019 =

- Tweak: Unnecessary `esc_html()` function removed to enhance performance.
- Tweak: Enable adding an icon to the category label by using icon HTML format in Premium Grid widget.


= 2.9.6 - 04/01/2019 =

- Tweak: Added `Whole image lightbox` option in Premium Grid widget.

= 2.9.5 - 03/01/2019 =

- Tweak: Added `Image/Gradient` background option for modal body in Premium Modal Box widget.
- Tweak: Added `Icon Size` for header icon in Premium Modal Box widget.
- Tweak: Added `12 Columns` to `Number of Column` option in Premium Grid widget.
- Fixed: Responsive options for Premium carousel `Number of slides on Tablets/Mobiles` does not work.

= 2.9.4 - 31/12/2018 =

- Tweak: Added 'Loop' and 'Mute' options for Vimeo type videos in Premium Video Box widget.
- Fixed: Vimeo videos error message in Premium Video Box widget.

= 2.9.3 - 27/12/2018 =

- Tweak: Unnecessary `esc_html()` function removed.
- Tweak: Unnecessary conditions removed to enhance editor page loading speed.

= 2.9.2 - 24/12/2018 =

- Tweak: Unnecessary functions removed from Counter, Modal Box widgets to enhance performance.

= 2.9.1 - 20/12/2018 =

- Tweak: Ability to change default active category with `First Category` option enabled in Premium Grid widget.
- Tweak: Unnecessary functions removed from Carousel, Grid widgets to enhance performance.
- Fixed: Prevent page scroll to top when modal box trigger is clicked.


= 2.9.0 - 18/12/2018 =

- Tweak: CSS files loaded only when required to enhance plugin performance.
- Tweak: Unnecessary functions removed from Banner, Dual Heading and Title widgets to enhance performance.

= 2.8.9 - 13/12/2018 =

- Fixed: Notice: Undefined property: PremiumAddons\Plugin::$settings

= 2.8.8 - 11/12/2018 =

- Tweak: Vertical Scroll JS separated from the main JS file to enhance plugin performance.
- Fixed: Prevent page body scroll when modal is opened on mobile phones in Premium Modal Box widget.

= 2.8.7 - 10/12/2018 =

- Fixed: All images are shown on page load when `Active Category Index` option is set in Premium Grid widget.

= 2.8.6 - 08/12/2018 =

- Tweak: Prevent page body scroll when modal is opened in Premium Modal Box widget.

= 2.8.5 - 03/12/2018 =

- Tweak: Added Youtube and Instagram links in Premium Person widget.
- Tweak: Slides ordering in Premium Carousel widget by adding repeater option.
- Fixed: Progress Bar does not appear on the preview page.

= 2.8.4 - 29/11/2018 =

- Tweak: Added Self Hosted Videos option to Premium Video Box widget.
- Tweak: Added Loop option to Premium Video Box widget.
- Fixed: `.emulateTransitionEnd()` is not a function in Premium Modal Box widget.

= 2.8.3 - 26/11/2018 =

- Tweak: Added speed option in Premium Progress Bar widget.
- Tweak: Set center location to visitor's location option added to Premium Maps widget.

= 2.8.2 - 22/11/2018 =

- Fixed: Navigation arrows issue in Premium Carousel widget.

= 2.8.1 - 19/11/2018 =

- Tweak: Post date format now is retrieved from WordPress general settings.
- Tweak: Shortcodes support using text editor in Premium Modal Box widget.

= 2.8.0 - 15/11/2018 =

- Fixed: Carousel issue on IE11.
- Fixed: Horizontal align issue in Premium Countdown widget.

= 2.7.9 - 12/11/2018 =

- Tweak: Images `Alt` attribute enhanced in all widgets.

= 2.7.8 - 08/11/2018 =

- Tweak: Added Section IDs option beside Elementor Templates to Premium Vertical Scroll widget.
- Tweak: Added Mute option to Premium Video Box widget.


= 2.7.7 - 04/11/2018 =

- Tweak: Added hover color option to trigger button icon and text in Premium Modal Box widget.

= 2.7.6 - 01/11/2018 =

- Tweak: Disable tooltips option in Premium Vertical Scroll widget.
- Tweak: Tooltips typography, border, shadow, margin and padding options in Premium Vertical Scroll widget.
- Tweak: Removed text editor content type in Premium Vertical Scroll widget.
- Tweak: Whole image link option in Premium Grid widget.


= 2.7.5 - 29/10/2018 =

- Fixed: Navigation dots redirection issue in Premium Vertical Scroll widget.

= 2.7.4 - 25/10/2018 =

- New: Added Vertical Scroll widget.

= 2.7.3 - 23/10/2018 =

- Tweak: Changed Title for Icon List items in Premium Pricing Table widget.

= 2.7.2 - 18/10/2018 =

- Tweak: Added Padding Option in Premium Modal Box widget.
- Tweak: Added Close Button text option in Premium Modal Box widget.
- Fixed: Grid images conflict with LiteSpeed plugin.

= 2.7.1 - 15/10/2018 =

- Tweak: Added Max Height option in Premium Modal Box widget.
- Fixed: Pointer issue in Premium Banner widget.
- Fixed: Video restart in Premium Modal Box.

= 2.7.0 - 11/10/2018 =

- Fixed: 'Undefined variable: $image_src' in Premium Testimonials widget.

= 2.6.9 - 08/10/2018 =

- Fixed: Scrollbar issue in Premium Modal Box widget.
- Fixed: Premium Grid style 2 on iOS mobiles/tablets.

= 2.6.8 - 02/10/2018 =

- Tweak: Added Dynamic Images option for all widgets.
- Fixed: Premium Maps issue.
- Fixed: Responsive issues in Premium Modal widget.

= 2.6.7 - 26/09/2018 =

- Tweak: Premium Testimonials widget performance enhanced.
- Tweak: Plugin core enhancement for faster performance.
- Fixed: Conflict with 'Pods – Custom Content Types and Fields' plugin.

= 2.6.6 - 24/09/2018 =

- Tweak: Premium Image Button widget performance enhanced.

= 2.6.5 - 20/09/2018 =

- Tweak: Premium Button widget performance enhanced.
- Fixed: Modal Box responsive issues.

= 2.6.4 - 17/09/2018 =

- Tweak: Premium Dual Heading widget performance enhanced.
- Fixed: Modal Box overlay issue.

= 2.6.3 - 13/09/2018 =

- Tweak: Premium Person widget performance enhanced.
- Tweak: Premium Pricing Table widget performance enhanced.
- Fixed: Videos continue playing after Premium Modal is closed.

= 2.6.2 - 10/09/2018 =

- Tweak: Premium Title widget performance enhanced.
- Tweak: Premium Image Separator widget performance enhanced.

= 2.6.1 - 06/09/2018 =

- Tweak: Added enable/disable related videos option in Premium Video Box widget.

= 2.6.0 - 03/09/2018 =

- Fixed: Warning "Cannot redeclare control with same name premium_gallery_img_alt".

= 2.5.9 - 30/08/2018 =

- Tweak: Added enable/disable default category in Premium Grid widget.
- Tweak: Added rotate option for each category in Premium Grid widget.
- Fixed: Back delay option issue in Premium Fancy Text widget.
- Fixed: Primary label typography and margin issue in Premium Progress Bar widget.
- Fixed: Longitude/Latitude finder issue in Premium Maps widget.

= 2.5.8 - 27/08/2018 =

- Tweak: Added border and border radius options to Premium Banner widget.
- Fixed: Existing Page Link issue.

= 2.5.7 - 23/08/2018 =

- Tweak: Added max width option for markers description box in Premium Maps widget.
- Tweak: Added change default category name in Premium Grid widget.

= 2.5.6 - 16/08/2018 =

- Tweak: Added marker clustering and latitude/longitude finder options to Premium Maps widget.
- Tweak: Added button option to Premium Banner widget.
- Fixed: 'Undefined index: premium_dual_header_second_header_tag' in Premium Dual Heading widget.

= 2.5.5 - 13/08/2018 =

- Tweak: Enhanced HTML structure for Dual Heading widget.

= 2.5.4 - 09/08/2018 =

- Tweak: Added Always Hovered option to Banner widget.
- Tweak: Added Animated Background option to Dual Heading widget.
- Fix: Carousel flash issue in Google Chrome.
- Fix: google is undefined in Google Maps widget.

= 2.5.3 - 06/08/2018 =

- Tweak: Added alignment option for Countdown widget.
- Tweak: Added responsive controls to min height and vertical align options in Banner widget.

= 2.5.2 - 02/08/2018 =

- Tweak: Added paragraph and span for HTML Tag option in Dual Heading widget.
- Tweak: Added Wrapper Tag option for Dual Heading widget.
- Fix: Image stretch issue in Banner widget.

= 2.5.1 - 31/07/2018 =

- Tweak: Added image vertical align option in Premium Banner widget.

= 2.5.0 - 26/07/2018 =

- New: Added Premium Addons PRO Controls.

= 2.4.1 - 24/07/2018 =

- Tweak: Added color, typography and background color for cursor text in Premium Fancy Text widget.
- Fix: Notice: Undefined variable: options warning.

= 2.4.0 - 19/07/2018 =

- Fix: Repeater issue in Grid and Fancy Text Premium widgets.
- Fix: Pagination overlapping issue in Premium Blog widget.

= 2.3.9 - 10/07/2018 =

- Tweak: Added Posts Spacing option for Premium Blog widget.
- Fix: Title Typography issue in Premium Blog widget.
- Fix: Post title and format icon position issue in Premium Blog widget.

= 2.3.8 - 09/07/2018 =

- Tweak: Added HTML post title tag option for Premium Blog widget.
- Tweak: Added Masonry option for Premium Blog widget.
- Fix: Responsive issues in Premium Blog widget.

= 2.3.7 - 05/07/2018 =

- Fix: Post Format Icon style tab issue in Premium Blog Widget.

= 2.3.6 - 03/07/2018 =

- Tweak: Added three new hover effects in Banner, Blog, Grid and Person Premium widgets.

= 2.3.5 - 21/06/2018 =

- Fix: Suffix & Prefix style reversed in Premium Counter Widget.

= 2.3.4 - 14/06/2018 =

- Fix: Javascript caching bug.

= 2.3.3 - 11/06/2018 =

- Tweak: Added slashed price option to Premium Pricing Table widget.

= 2.3.2 - 07/06/2018 =

- Tweak: Added link option to excerpt in Premium Blog widget.
- Fix: Network site activation redirection issue.

= 2.3.1 - 04/06/2018 =

- Tweak: Added support for dynamic fields to all widgets.
- Tweak: Added text shadow option for both title and description in Premium Banner widget.
- Fix: Light box bug in Premium Grid widget.

= 2.3.0 - 17/04/2019 =

- Tweak: Added five hover effects for Premium Banner widget.

= 2.2.9 - 28/05/2018 =

- Tweak: Keep grid aligned for posts with no featured image in Premium Blog.

= 2.2.8 - 24/05/2018 =

- Fix: Unfound widgets issue.

= 2.2.7 - 21/05/2018 =

- Fix: Fatal error: Class 'PremiumAddons\Helper_Functions' not found.

= 2.2.6 - 21/05/2018 =

- Tweak: Changed all existing page link option to SELECT2 to get/search in all posts.
- Tweak: Added grid option to Premium Grid widget.
- Fix: Premium Person cropped image issue.
- Fix: Premium Blog cropped image issue.

= 2.2.5 - 21/05/2018 =

- Fix: Premium Carousel slides on Tabs/Mobiles options bug.

= 2.2.4 - 20/05/2018 =

- Fix: Premium Google Maps bug.

= 2.2.3 - 17/05/2018 =

- Fix: Warning class ‘premium_Addon_Elementor’ does not have a method ‘premium_addons_required_assets’.

= 2.2.2 - 17/05/2018 =

- Tweak: Enhanced backend CSS and Javascript loading to improve websites performance.
- Tweak: New widgets icons.

= 2.2.1 - 17/05/2018 =

- Fix: Premium Fancy Text widget slide up effect bug.
- Fix: Premium Countdown widget expiration message special characters bug.

= 2.2.0 - 14/05/2018 =

- Tweak: Added image alt text option for images in Premium Grid widget.
- Tweak: Changed Premium Grid titles from h4 to span to improve web accessibility.
- Fix: Premium Carousel widget bug on mobile phones and tablets.

= 2.1.9 - 13/05/2018 =

- Tweak: Added open links in new tab option in Premium Blog widget.
- Tweak: Enhanced files loading speed.
- Fix: Special characters bug in Premium Fancy Text Widget.

= 2.1.8 - 07/05/2018 =

- Tweak: Added Ripple effect option for navigation dots in Premium Carousel widget.
- Fix: Minor bugs and improvements.

= 2.1.7 - 03/05/2018 =

- Tweak: Added transition effect for Premium Modal Box widget.
- Fix: Premium Maps bug on IE.
- Fix: Text Domain misspelling for some controls.

= 2.1.6 - 30/04/2018 =

- Tweak: Added Input Field & Text Area & Button width and height for Premium Contact Form 7 widget.
- Fix: Premium Modal Box Bootstrap conflicts bug.
- Fix: Premium Modal Box backend shifting bug.

= 2.1.5 - 26/04/2018 =

- Tweak: Added Icon option for Premium Modal Box widget’s button.
- Tweak: Added include template content option for Premium Modal Box widget.
- Tweak: Enhanced Javascript loading and performance.
- Fix: Premium Fancy Text Add item with Slide up effect bug on Firefox.
- Fix: Premium Button RTL bug.

= 2.1.4 - 12/04/2018 =

- Fix: Premium Grid light box bug on Chrome.

= 2.1.3 - 11/04/2018 =

- New: Added Version Control tab to plugin settings including Version Rollback option and an option to enable beta versions updates.
- Tweak: Added Custom/Existing page link option for Premium Dual Heading Widget.
- Tweak: Changed Addons icons hover color.

= 2.1.2 - 04/04/2018 =

- Fix: Premium Fancy Text Slide up effect bug on Chrome and Opera.

= 2.1.1 - 29/03/2018 =

- Tweak: Premium Grid link icon appears only if link added.
- Fix: Premium Grid Light Box Duplicate Bug.
- Fix: Premium Grid Border Radius Bug.
- Fix: Premium Grid Style 3 on Chrome and Safari Bug.
- Fix: Premium Grid Icon Shifting on Chrome and Safari Bug.

= 2.1.0 - 28/03/2018 =

- New: Premium Grid widget.
- Tweak: Added open marker info container on hover option for Premium Maps Widget.
- Fix: Demos Links in Readme file.

= 2.0.9 - 26/03/2018 =

- Tweak: Added existing page link option for Premium Pricing Table, Button and Image Button widgets.
- Tweak: Inline Documentations and options usability.
- Fix: Premium Banner empty URL redirection bug.
- Fix: Misspelling CSS property corrected.

= 2.0.8 - 15/03/2018 =

- Tweak: Amended inline documentation.
- Tweak: Changed admin icon.
- Fix: Premium Banner Custom URL/existing Page bug.
- Fix: Premium Button hover background color issue.

= 2.0.7 - 05/03/2018 =

- Tweak: Added multiple labels option for Premium Progressbar widget.
- Tweak: Added inline editing option for all widgets.
- Tweak: Added text editor for marker description for Premium Maps widget.
- Fix: Premium Button empty URL redirection bug.
- Fix: Premium Image Button empty URL redirection bug.

= 2.0.6 - 01/03/2018 =

- Fix: Plugin row meta data bug.
- Fix: Plugin update issue.

= 2.0.5 - 21/02/2018 =

- Tweak: Added API Disable checkbox to Google Maps tab in plugin settings.
- Tweak: Added arrows position option for Premium Carousel widget.
- Tweak: Added responsive settings for Premium Banner widget.
- Tweak: Added icon background padding, border and border radius for Premium Pricing Table widget.
- Tweak: Added button text hover color for Premium Pricing Table widget.
- Tweak: Enhanced Premium Blog layout on mobile phones.
- Fix: Premium Countdown browser compatibility issue on Safari and IE11.
- Fix: Premium Dual Header horizontal overflow on mobile phones.
- Fix: Premium Modal Box position bug on Safari.
- Fix: Premium Video Box video description text with video text switcher off bug.
- Fix: Premium Video Box border radius bug on Chrome and Opera.

= 2.0.4 - 20/02/2018 =

- Tweak: Changed the way it loads Js files for better performance.
- Fix: Translation ready bug.

= 2.0.3 - 18/02/2018 =

- Fix: Modal Box Bootstrap conflict bug.

= 2.0.2 - 11/02/2018 =

- New: Plugin is now localization and translation ready.
- Tweak: Default settings for all widgets are enhanced.
- Tweak: Added responsive controls to all dimensions options.
- Tweak: Added badge text horizontal and vertical position option for Pricing Table Widget.
- Tweak: Added Icon row background option for Pricing Table widget.
- Tweak: Added video text switcher control for Video Box widget.
- Tweak: Added centered content box for Modal Box widget.
- Tweak: Added marker click disable when title and description are empty for Google Maps.
- Fix: Image Button icon slide effect icon selection bug.

= 2.0.1 - 11/02/2018 =

- New: Premium Image Button widget.
- Tweak: Added badge option for Pricing Table widget.
- Tweak: Added icon List option for Pricing Table widget.
- Tweak: Added currency vertical align option for Pricing Table widget.
- Tweak: Added button size option for Button widget.
- Tweak: Added display inline or block option for Dual Header widget.
- Tweak: Added Maps open marker automatically option for Google Maps.
- Tweak: Added vertical and horizontal position option to icon and text for Video Box widget.
- Tweak: Added text shadow option to video description for Video Box widget.
- Tweak: Inline Documentations and options usability.
- Fix: Counter animations with icon position right.
- Fix: Counter border color when icon color is set.
- Fix: Countdown background size scale bug.
- Fix: Countdown digits horizontal and vertical align.
- Fix: Dual header fixed clipped background bug.
- Fix: Maps Multiple maps in one page bug.

= 2.0 - 07/02/2018 =

- New: Premium Pricing Table widget.
- New: Premium Button widget.
- New: Premium Contact Form 7 widget.
- Tweak: Premium Banner widget rewritten.
- Tweak: Map widget rewritten.
- Tweak: Premium Blog squares effect.
- Tweak: Inline Documentations and options usability.
- Fix: Premium Modal Box bugs.
- Fix: Premium Carousel bugs.
- Fix: Premium Counter scrolling bug.
- Fix: Premium Fancy Text cursor text bug.
- Fix: Premium Progress Bar animation bug.

= 1.09 - 30/01/2018 =

- Fix: settings page save issue.

= 1.08 - 20/01/2018 =

- Fix: Minor bugs and improvements.

= 1.07 - 16/01/2018 =

- Fix: Minor bugs and improvements.

= 1.06 - 15/01/2018 =

- Tweak: Enhancements in Premium Addons admin settings page.

= 1.05 - 15/01/2018 =

- Tweak: Google Maps API tab in Premium Addons admin settings page.
- Fix: Minor bugs and improvements.

= 1.04 - 15/01/2018 =

- Fix: Minor bugs and improvements.

= 1.03 - 15/01/2018 =

- New: About tab in Premium Addons admin settings page.
- New: System Info tab in Premium Addons admin settings page.
- Fix: Google Map bug.
- Fix: Carousal bug.
- Fix: Dual Header bug.
- Fix: Minor bugs and improvements.

= 1.02 - 10/01/2018 =

- Fix: Minor bugs and improvements.

= 1.01 - 10/01/2018 =

- Fix: Minor bugs and improvements.

= 1.0 - 09/01/2018 =

- Initial stable release.
